com.sun.grid.jgdi.management.mbeans

## Class JGDIJMX

- java.lang.Object
- - com.sun.grid.jgdi.management.mbeans.JGDIJMXBase
  - - com.sun.grid.jgdi.management.mbeans.JGDIJMX

- All Implemented Interfaces:
    JGDIJMXBaseMBean, JGDIJMXMBean, java.io.Serializable, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter

      public class JGDIJMX
      extends JGDIJMXBase
      implements JGDIJMXMBean, JGDIJMXBaseMBean

  `JGDIJMX` implements a JMX service for the `JGDI` interface.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.sun.grid.jgdi.management.mbeans.JGDIJMXBase

      `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JGDIJMX(JGDISession owner)` Create a new instance of `JGDIJMXImpl`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAdminHost(AdminHost obj)` Add a new `AdminHost` object.
    `void` | `addAdminHost(java.lang.String name)` Add a new `AdminHost` object.
    `void` | `addAdminHostWithAnswer(AdminHost obj, java.util.List<JGDIAnswer> answers)` Add a new `AdminHost` object.
    `void` | `addAdminHostWithAnswer(java.lang.String name, java.util.List<JGDIAnswer> answers)` Add a new `AdminHost` object.
    `void` | `addAdvanceReservation(AdvanceReservation obj)` Add a new `AdvanceReservation` object.
    `void` | `addAdvanceReservationWithAnswer(AdvanceReservation obj, java.util.List<JGDIAnswer> answers)` Add a new `AdvanceReservation` object.
    `void` | `addCalendar(Calendar obj)` Add a new `Calendar` object.
    `void` | `addCalendarWithAnswer(Calendar obj, java.util.List<JGDIAnswer> answers)` Add a new `Calendar` object.
    `void` | `addCheckpoint(Checkpoint obj)` Add a new `Checkpoint` object.
    `void` | `addCheckpointWithAnswer(Checkpoint obj, java.util.List<JGDIAnswer> answers)` Add a new `Checkpoint` object.
    `void` | `addClusterQueue(ClusterQueue obj)` Add a new `ClusterQueue` object.
    `void` | `addClusterQueueWithAnswer(ClusterQueue obj, java.util.List<JGDIAnswer> answers)` Add a new `ClusterQueue` object.
    `void` | `addComplexEntry(ComplexEntry obj)` Add a new `ComplexEntry` object.
    `void` | `addComplexEntryWithAnswer(ComplexEntry obj, java.util.List<JGDIAnswer> answers)` Add a new `ComplexEntry` object.
    `void` | `addConfiguration(Configuration obj)` Add a new `Configuration` object.
    `void` | `addConfigurationWithAnswer(Configuration obj, java.util.List<JGDIAnswer> answers)` Add a new `Configuration` object.
    `void` | `addExecHost(ExecHost obj)` Add a new `ExecHost` object.
    `void` | `addExecHostWithAnswer(ExecHost obj, java.util.List<JGDIAnswer> answers)` Add a new `ExecHost` object.
    `void` | `addHostgroup(Hostgroup obj)` Add a new `Hostgroup` object.
    `void` | `addHostgroupWithAnswer(Hostgroup obj, java.util.List<JGDIAnswer> answers)` Add a new `Hostgroup` object.
    `void` | `addJob(Job obj)` Add a new `Job` object.
    `void` | `addJobWithAnswer(Job obj, java.util.List<JGDIAnswer> answers)` Add a new `Job` object.
    `void` | `addManager(Manager obj)` Add a new `Manager` object.
    `void` | `addManager(java.lang.String name)` Add a new `Manager` object.
    `void` | `addManagerWithAnswer(Manager obj, java.util.List<JGDIAnswer> answers)` Add a new `Manager` object.
    `void` | `addManagerWithAnswer(java.lang.String name, java.util.List<JGDIAnswer> answers)` Add a new `Manager` object.
    `void` | `addOperator(Operator obj)` Add a new `Operator` object.
    `void` | `addOperator(java.lang.String name)` Add a new `Operator` object.
    `void` | `addOperatorWithAnswer(Operator obj, java.util.List<JGDIAnswer> answers)` Add a new `Operator` object.
    `void` | `addOperatorWithAnswer(java.lang.String name, java.util.List<JGDIAnswer> answers)` Add a new `Operator` object.
    `void` | `addParallelEnvironment(ParallelEnvironment obj)` Add a new `ParallelEnvironment` object.
    `void` | `addParallelEnvironmentWithAnswer(ParallelEnvironment obj, java.util.List<JGDIAnswer> answers)` Add a new `ParallelEnvironment` object.
    `void` | `addProject(Project obj)` Add a new `Project` object.
    `void` | `addProjectWithAnswer(Project obj, java.util.List<JGDIAnswer> answers)` Add a new `Project` object.
    `void` | `addResourceQuotaSet(ResourceQuotaSet obj)` Add a new `ResourceQuotaSet` object.
    `void` | `addResourceQuotaSetWithAnswer(ResourceQuotaSet obj, java.util.List<JGDIAnswer> answers)` Add a new `ResourceQuotaSet` object.
    `void` | `addSubmitHost(java.lang.String name)` Add a new `SubmitHost` object.
    `void` | `addSubmitHost(SubmitHost obj)` Add a new `SubmitHost` object.
    `void` | `addSubmitHostWithAnswer(java.lang.String name, java.util.List<JGDIAnswer> answers)` Add a new `SubmitHost` object.
    `void` | `addSubmitHostWithAnswer(SubmitHost obj, java.util.List<JGDIAnswer> answers)` Add a new `SubmitHost` object.
    `void` | `addUser(User obj)` Add a new `User` object.
    `void` | `addUserSet(UserSet obj)` Add a new `UserSet` object.
    `void` | `addUserSetWithAnswer(UserSet obj, java.util.List<JGDIAnswer> answers)` Add a new `UserSet` object.
    `void` | `addUserWithAnswer(User obj, java.util.List<JGDIAnswer> answers)` Add a new `User` object.
    `void` | `deleteAdminHost(AdminHost obj)` Delete a `AdminHost` object.
    `void` | `deleteAdminHost(java.lang.String AH_name)` Delete the `AdminHost` object by primary key;
    `void` | `deleteAdminHostsWithAnswer(java.lang.String[] AH_names, java.util.List<JGDIAnswer> answers)` Delete several `AdminHost` objects by their primary key
    `void` | `deleteAdminHostWithAnswer(AdminHost obj, java.util.List<JGDIAnswer> answers)` Delete a `AdminHost` object.
    `void` | `deleteAdminHostWithAnswer(java.lang.String AH_name, java.util.List<JGDIAnswer> answers)` Delete a `AdminHost` object by its primary key
    `void` | `deleteAdvanceReservation(AdvanceReservation obj)` Delete a `AdvanceReservation` object.
    `void` | `deleteAdvanceReservation(int AR_id)` Delete the `AdvanceReservation` object by primary key;
    `void` | `deleteAdvanceReservationsWithAnswer(java.lang.String[] AR_ids, boolean forced, UserFilter userFilter, java.util.List<JGDIAnswer> answers)` Delete several `AdvanceReservation` objects by their primary key
    `void` | `deleteAdvanceReservationWithAnswer(AdvanceReservation obj, java.util.List<JGDIAnswer> answers)` Delete a `AdvanceReservation` object.
    `void` | `deleteAdvanceReservationWithAnswer(int AR_id, java.util.List<JGDIAnswer> answers)` Delete a `AdvanceReservation` object by its primary key
    `void` | `deleteCalendar(Calendar obj)` Delete a `Calendar` object.
    `void` | `deleteCalendar(java.lang.String CAL_name)` Delete the `Calendar` object by primary key;
    `void` | `deleteCalendarsWithAnswer(java.lang.String[] CAL_names, java.util.List<JGDIAnswer> answers)` Delete several `Calendar` objects by their primary key
    `void` | `deleteCalendarWithAnswer(Calendar obj, java.util.List<JGDIAnswer> answers)` Delete a `Calendar` object.
    `void` | `deleteCalendarWithAnswer(java.lang.String CAL_name, java.util.List<JGDIAnswer> answers)` Delete a `Calendar` object by its primary key
    `void` | `deleteCheckpoint(Checkpoint obj)` Delete a `Checkpoint` object.
    `void` | `deleteCheckpoint(java.lang.String CK_name)` Delete the `Checkpoint` object by primary key;
    `void` | `deleteCheckpointsWithAnswer(java.lang.String[] CK_names, java.util.List<JGDIAnswer> answers)` Delete several `Checkpoint` objects by their primary key
    `void` | `deleteCheckpointWithAnswer(Checkpoint obj, java.util.List<JGDIAnswer> answers)` Delete a `Checkpoint` object.
    `void` | `deleteCheckpointWithAnswer(java.lang.String CK_name, java.util.List<JGDIAnswer> answers)` Delete a `Checkpoint` object by its primary key
    `void` | `deleteClusterQueue(ClusterQueue obj)` Delete a `ClusterQueue` object.
    `void` | `deleteClusterQueue(java.lang.String CQ_name)` Delete the `ClusterQueue` object by primary key;
    `void` | `deleteClusterQueuesWithAnswer(java.lang.String[] CQ_names, java.util.List<JGDIAnswer> answers)` Delete several `ClusterQueue` objects by their primary key
    `void` | `deleteClusterQueueWithAnswer(ClusterQueue obj, java.util.List<JGDIAnswer> answers)` Delete a `ClusterQueue` object.
    `void` | `deleteClusterQueueWithAnswer(java.lang.String CQ_name, java.util.List<JGDIAnswer> answers)` Delete a `ClusterQueue` object by its primary key
    `void` | `deleteComplexEntry(ComplexEntry obj)` Delete a `ComplexEntry` object.
    `void` | `deleteComplexEntry(java.lang.String CE_name)` Delete the `ComplexEntry` object by primary key;
    `void` | `deleteComplexEntrysWithAnswer(java.lang.String[] CE_names, java.util.List<JGDIAnswer> answers)` Delete several `ComplexEntry` objects by their primary key
    `void` | `deleteComplexEntryWithAnswer(ComplexEntry obj, java.util.List<JGDIAnswer> answers)` Delete a `ComplexEntry` object.
    `void` | `deleteComplexEntryWithAnswer(java.lang.String CE_name, java.util.List<JGDIAnswer> answers)` Delete a `ComplexEntry` object by its primary key
    `void` | `deleteConfiguration(Configuration obj)` Delete a `Configuration` object.
    `void` | `deleteConfiguration(java.lang.String CONF_name)` Delete the `Configuration` object by primary key;
    `void` | `deleteConfigurationsWithAnswer(java.lang.String[] CONF_names, java.util.List<JGDIAnswer> answers)` Delete several `Configuration` objects by their primary key
    `void` | `deleteConfigurationWithAnswer(Configuration obj, java.util.List<JGDIAnswer> answers)` Delete a `Configuration` object.
    `void` | `deleteConfigurationWithAnswer(java.lang.String CONF_name, java.util.List<JGDIAnswer> answers)` Delete a `Configuration` object by its primary key
    `void` | `deleteExecHost(ExecHost obj)` Delete a `ExecHost` object.
    `void` | `deleteExecHost(java.lang.String EH_name)` Delete the `ExecHost` object by primary key;
    `void` | `deleteExecHostsWithAnswer(java.lang.String[] EH_names, java.util.List<JGDIAnswer> answers)` Delete several `ExecHost` objects by their primary key
    `void` | `deleteExecHostWithAnswer(ExecHost obj, java.util.List<JGDIAnswer> answers)` Delete a `ExecHost` object.
    `void` | `deleteExecHostWithAnswer(java.lang.String EH_name, java.util.List<JGDIAnswer> answers)` Delete a `ExecHost` object by its primary key
    `void` | `deleteHostgroup(Hostgroup obj)` Delete a `Hostgroup` object.
    `void` | `deleteHostgroup(java.lang.String HGRP_name)` Delete the `Hostgroup` object by primary key;
    `void` | `deleteHostgroupsWithAnswer(java.lang.String[] HGRP_names, java.util.List<JGDIAnswer> answers)` Delete several `Hostgroup` objects by their primary key
    `void` | `deleteHostgroupWithAnswer(Hostgroup obj, java.util.List<JGDIAnswer> answers)` Delete a `Hostgroup` object.
    `void` | `deleteHostgroupWithAnswer(java.lang.String HGRP_name, java.util.List<JGDIAnswer> answers)` Delete a `Hostgroup` object by its primary key
    `void` | `deleteJob(int JB_job_number)` Delete the `Job` object by primary key;
    `void` | `deleteJob(Job obj)` Delete a `Job` object.
    `void` | `deleteJobsWithAnswer(java.lang.String[] JB_job_numbers, boolean forced, UserFilter userFilter, java.util.List<JGDIAnswer> answers)` Delete several `Job` objects by their primary key
    `void` | `deleteJobWithAnswer(int JB_job_number, java.util.List<JGDIAnswer> answers)` Delete a `Job` object by its primary key
    `void` | `deleteJobWithAnswer(Job obj, java.util.List<JGDIAnswer> answers)` Delete a `Job` object.
    `void` | `deleteManager(Manager obj)` Delete a `Manager` object.
    `void` | `deleteManager(java.lang.String UM_name)` Delete the `Manager` object by primary key;
    `void` | `deleteManagersWithAnswer(java.lang.String[] UM_names, java.util.List<JGDIAnswer> answers)` Delete several `Manager` objects by their primary key
    `void` | `deleteManagerWithAnswer(Manager obj, java.util.List<JGDIAnswer> answers)` Delete a `Manager` object.
    `void` | `deleteManagerWithAnswer(java.lang.String UM_name, java.util.List<JGDIAnswer> answers)` Delete a `Manager` object by its primary key
    `void` | `deleteOperator(Operator obj)` Delete a `Operator` object.
    `void` | `deleteOperator(java.lang.String UO_name)` Delete the `Operator` object by primary key;
    `void` | `deleteOperatorsWithAnswer(java.lang.String[] UO_names, java.util.List<JGDIAnswer> answers)` Delete several `Operator` objects by their primary key
    `void` | `deleteOperatorWithAnswer(Operator obj, java.util.List<JGDIAnswer> answers)` Delete a `Operator` object.
    `void` | `deleteOperatorWithAnswer(java.lang.String UO_name, java.util.List<JGDIAnswer> answers)` Delete a `Operator` object by its primary key
    `void` | `deleteParallelEnvironment(ParallelEnvironment obj)` Delete a `ParallelEnvironment` object.
    `void` | `deleteParallelEnvironment(java.lang.String PE_name)` Delete the `ParallelEnvironment` object by primary key;
    `void` | `deleteParallelEnvironmentsWithAnswer(java.lang.String[] PE_names, java.util.List<JGDIAnswer> answers)` Delete several `ParallelEnvironment` objects by their primary key
    `void` | `deleteParallelEnvironmentWithAnswer(ParallelEnvironment obj, java.util.List<JGDIAnswer> answers)` Delete a `ParallelEnvironment` object.
    `void` | `deleteParallelEnvironmentWithAnswer(java.lang.String PE_name, java.util.List<JGDIAnswer> answers)` Delete a `ParallelEnvironment` object by its primary key
    `void` | `deleteProject(Project obj)` Delete a `Project` object.
    `void` | `deleteProject(java.lang.String PR_name)` Delete the `Project` object by primary key;
    `void` | `deleteProjectsWithAnswer(java.lang.String[] PR_names, java.util.List<JGDIAnswer> answers)` Delete several `Project` objects by their primary key
    `void` | `deleteProjectWithAnswer(Project obj, java.util.List<JGDIAnswer> answers)` Delete a `Project` object.
    `void` | `deleteProjectWithAnswer(java.lang.String PR_name, java.util.List<JGDIAnswer> answers)` Delete a `Project` object by its primary key
    `void` | `deleteResourceQuotaSet(ResourceQuotaSet obj)` Delete a `ResourceQuotaSet` object.
    `void` | `deleteResourceQuotaSet(java.lang.String RQS_name)` Delete the `ResourceQuotaSet` object by primary key;
    `void` | `deleteResourceQuotaSetsWithAnswer(java.lang.String[] RQS_names, java.util.List<JGDIAnswer> answers)` Delete several `ResourceQuotaSet` objects by their primary key
    `void` | `deleteResourceQuotaSetWithAnswer(ResourceQuotaSet obj, java.util.List<JGDIAnswer> answers)` Delete a `ResourceQuotaSet` object.
    `void` | `deleteResourceQuotaSetWithAnswer(java.lang.String RQS_name, java.util.List<JGDIAnswer> answers)` Delete a `ResourceQuotaSet` object by its primary key
    `void` | `deleteSubmitHost(java.lang.String SH_name)` Delete the `SubmitHost` object by primary key;
    `void` | `deleteSubmitHost(SubmitHost obj)` Delete a `SubmitHost` object.
    `void` | `deleteSubmitHostsWithAnswer(java.lang.String[] SH_names, java.util.List<JGDIAnswer> answers)` Delete several `SubmitHost` objects by their primary key
    `void` | `deleteSubmitHostWithAnswer(java.lang.String SH_name, java.util.List<JGDIAnswer> answers)` Delete a `SubmitHost` object by its primary key
    `void` | `deleteSubmitHostWithAnswer(SubmitHost obj, java.util.List<JGDIAnswer> answers)` Delete a `SubmitHost` object.
    `void` | `deleteUser(java.lang.String UU_name)` Delete the `User` object by primary key;
    `void` | `deleteUser(User obj)` Delete a `User` object.
    `void` | `deleteUserSet(java.lang.String US_name)` Delete the `UserSet` object by primary key;
    `void` | `deleteUserSet(UserSet obj)` Delete a `UserSet` object.
    `void` | `deleteUserSetsWithAnswer(java.lang.String[] US_names, java.util.List<JGDIAnswer> answers)` Delete several `UserSet` objects by their primary key
    `void` | `deleteUserSetWithAnswer(java.lang.String US_name, java.util.List<JGDIAnswer> answers)` Delete a `UserSet` object by its primary key
    `void` | `deleteUserSetWithAnswer(UserSet obj, java.util.List<JGDIAnswer> answers)` Delete a `UserSet` object.
    `void` | `deleteUsersWithAnswer(java.lang.String[] UU_names, java.util.List<JGDIAnswer> answers)` Delete several `User` objects by their primary key
    `void` | `deleteUserWithAnswer(java.lang.String UU_name, java.util.List<JGDIAnswer> answers)` Delete a `User` object by its primary key
    `void` | `deleteUserWithAnswer(User obj, java.util.List<JGDIAnswer> answers)` Delete a `User` object.
    `java.util.List` | `getAdminHostList()` Get all `AdminHost` objects.
    `java.util.List` | `getAdminHostListWithAnswer(java.util.List<JGDIAnswer> answers)` Get the list of all defined `AdminHost` objects.
    `AdvanceReservation` | `getAdvanceReservation(int AR_id)` Get the `AdvanceReservation` object;
    `java.util.List` | `getAdvanceReservationList()` Get all `AdvanceReservation` objects.
    `java.util.List` | `getAdvanceReservationListWithAnswer(java.util.List<JGDIAnswer> answers)` Get the list of all defined `AdvanceReservation` objects.
    `AdvanceReservation` | `getAdvanceReservationWithAnswer(int AR_id, java.util.List<JGDIAnswer> answers)` Get a AdvanceReservation by its primary key
    `Calendar` | `getCalendar(java.lang.String CAL_name)` Get the `Calendar` object;
    `java.util.List` | `getCalendarList()` Get all `Calendar` objects.
    `java.util.List` | `getCalendarListWithAnswer(java.util.List<JGDIAnswer> answers)` Get the list of all defined `Calendar` objects.
    `Calendar` | `getCalendarWithAnswer(java.lang.String CAL_name, java.util.List<JGDIAnswer> answers)` Get a Calendar by its primary key
    `Checkpoint` | `getCheckpoint(java.lang.String CK_name)` Get the `Checkpoint` object;
    `java.util.List` | `getCheckpointList()` Get all `Checkpoint` objects.
    `java.util.List` | `getCheckpointListWithAnswer(java.util.List<JGDIAnswer> answers)` Get the list of all defined `Checkpoint` objects.
    `Checkpoint` | `getCheckpointWithAnswer(java.lang.String CK_name, java.util.List<JGDIAnswer> answers)` Get a Checkpoint by its primary key
    `ClusterQueue` | `getClusterQueue(java.lang.String CQ_name)` Get the `ClusterQueue` object;
    `java.util.List` | `getClusterQueueList()` Get all `ClusterQueue` objects.
    `java.util.List` | `getClusterQueueListWithAnswer(java.util.List<JGDIAnswer> answers)` Get the list of all defined `ClusterQueue` objects.
    `ClusterQueue` | `getClusterQueueWithAnswer(java.lang.String CQ_name, java.util.List<JGDIAnswer> answers)` Get a ClusterQueue by its primary key
    `ComplexEntry` | `getComplexEntry(java.lang.String CE_name)` Get the `ComplexEntry` object;
    `java.util.List` | `getComplexEntryList()` Get all `ComplexEntry` objects.
    `java.util.List` | `getComplexEntryListWithAnswer(java.util.List<JGDIAnswer> answers)` Get the list of all defined `ComplexEntry` objects.
    `ComplexEntry` | `getComplexEntryWithAnswer(java.lang.String CE_name, java.util.List<JGDIAnswer> answers)` Get a ComplexEntry by its primary key
    `Configuration` | `getConfiguration(java.lang.String CONF_name)` Get the `Configuration` object;
    `java.util.List` | `getConfigurationList()` Get all `Configuration` objects.
    `java.util.List` | `getConfigurationListWithAnswer(java.util.List<JGDIAnswer> answers)` Get the list of all defined `Configuration` objects.
    `Configuration` | `getConfigurationWithAnswer(java.lang.String CONF_name, java.util.List<JGDIAnswer> answers)` Get a Configuration by its primary key
    `java.util.List` | `getEventClientList()` Get all `EventClient` objects.
    `java.util.List` | `getEventClientListWithAnswer(java.util.List<JGDIAnswer> answers)` Get the list of all defined `EventClient` objects.
    `ExecHost` | `getExecHost(java.lang.String EH_name)` Get the `ExecHost` object;
    `java.util.List` | `getExecHostList()` Get all `ExecHost` objects.
    `java.util.List` | `getExecHostListWithAnswer(java.util.List<JGDIAnswer> answers)` Get the list of all defined `ExecHost` objects.
    `ExecHost` | `getExecHostWithAnswer(java.lang.String EH_name, java.util.List<JGDIAnswer> answers)` Get a ExecHost by its primary key
    `Hostgroup` | `getHostgroup(java.lang.String HGRP_name)` Get the `Hostgroup` object;
    `java.util.List` | `getHostgroupList()` Get all `Hostgroup` objects.
    `java.util.List` | `getHostgroupListWithAnswer(java.util.List<JGDIAnswer> answers)` Get the list of all defined `Hostgroup` objects.
    `Hostgroup` | `getHostgroupWithAnswer(java.lang.String HGRP_name, java.util.List<JGDIAnswer> answers)` Get a Hostgroup by its primary key
    `Job` | `getJob(int JB_job_number)` Get the `Job` object;
    `java.util.List` | `getJobList()` Get all `Job` objects.
    `java.util.List` | `getJobListWithAnswer(java.util.List<JGDIAnswer> answers)` Get the list of all defined `Job` objects.
    `JobSchedulingInfo` | `getJobSchedulingInfo()` Get the `JobSchedulingInfo` object
    `JobSchedulingInfo` | `getJobSchedulingInfoWithAnswer(java.util.List<JGDIAnswer> answers)` Get the `JobSchedulingInfo` object.
    `Job` | `getJobWithAnswer(int JB_job_number, java.util.List<JGDIAnswer> answers)` Get a Job by its primary key
    `Manager` | `getManager(java.lang.String UM_name)` Get the `Manager` object;
    `java.util.List` | `getManagerList()` Get all `Manager` objects.
    `java.util.List` | `getManagerListWithAnswer(java.util.List<JGDIAnswer> answers)` Get the list of all defined `Manager` objects.
    `Manager` | `getManagerWithAnswer(java.lang.String UM_name, java.util.List<JGDIAnswer> answers)` Get a Manager by its primary key
    `Operator` | `getOperator(java.lang.String UO_name)` Get the `Operator` object;
    `java.util.List` | `getOperatorList()` Get all `Operator` objects.
    `java.util.List` | `getOperatorListWithAnswer(java.util.List<JGDIAnswer> answers)` Get the list of all defined `Operator` objects.
    `Operator` | `getOperatorWithAnswer(java.lang.String UO_name, java.util.List<JGDIAnswer> answers)` Get a Operator by its primary key
    `ParallelEnvironment` | `getParallelEnvironment(java.lang.String PE_name)` Get the `ParallelEnvironment` object;
    `java.util.List` | `getParallelEnvironmentList()` Get all `ParallelEnvironment` objects.
    `java.util.List` | `getParallelEnvironmentListWithAnswer(java.util.List<JGDIAnswer> answers)` Get the list of all defined `ParallelEnvironment` objects.
    `ParallelEnvironment` | `getParallelEnvironmentWithAnswer(java.lang.String PE_name, java.util.List<JGDIAnswer> answers)` Get a ParallelEnvironment by its primary key
    `Project` | `getProject(java.lang.String PR_name)` Get the `Project` object;
    `java.util.List` | `getProjectList()` Get all `Project` objects.
    `java.util.List` | `getProjectListWithAnswer(java.util.List<JGDIAnswer> answers)` Get the list of all defined `Project` objects.
    `Project` | `getProjectWithAnswer(java.lang.String PR_name, java.util.List<JGDIAnswer> answers)` Get a Project by its primary key
    `ResourceQuotaSet` | `getResourceQuotaSet(java.lang.String RQS_name)` Get the `ResourceQuotaSet` object;
    `java.util.List` | `getResourceQuotaSetList()` Get all `ResourceQuotaSet` objects.
    `java.util.List` | `getResourceQuotaSetListWithAnswer(java.util.List<JGDIAnswer> answers)` Get the list of all defined `ResourceQuotaSet` objects.
    `ResourceQuotaSet` | `getResourceQuotaSetWithAnswer(java.lang.String RQS_name, java.util.List<JGDIAnswer> answers)` Get a ResourceQuotaSet by its primary key
    `SchedConf` | `getSchedConf()` Get the `SchedConf` object
    `SchedConf` | `getSchedConfWithAnswer(java.util.List<JGDIAnswer> answers)` Get the `SchedConf` object.
    `ShareTree` | `getShareTree(java.lang.String STN_name)` Get the `ShareTree` object;
    `ShareTree` | `getShareTreeWithAnswer(java.lang.String STN_name, java.util.List<JGDIAnswer> answers)` Get a ShareTree by its primary key
    `java.util.List` | `getSubmitHostList()` Get all `SubmitHost` objects.
    `java.util.List` | `getSubmitHostListWithAnswer(java.util.List<JGDIAnswer> answers)` Get the list of all defined `SubmitHost` objects.
    `User` | `getUser(java.lang.String UU_name)` Get the `User` object;
    `java.util.List` | `getUserList()` Get all `User` objects.
    `java.util.List` | `getUserListWithAnswer(java.util.List<JGDIAnswer> answers)` Get the list of all defined `User` objects.
    `UserSet` | `getUserSet(java.lang.String US_name)` Get the `UserSet` object;
    `java.util.List` | `getUserSetList()` Get all `UserSet` objects.
    `java.util.List` | `getUserSetListWithAnswer(java.util.List<JGDIAnswer> answers)` Get the list of all defined `UserSet` objects.
    `UserSet` | `getUserSetWithAnswer(java.lang.String US_name, java.util.List<JGDIAnswer> answers)` Get a UserSet by its primary key
    `User` | `getUserWithAnswer(java.lang.String UU_name, java.util.List<JGDIAnswer> answers)` Get a User by its primary key
    `void` | `updateCalendar(Calendar obj)` Update the `Calendar` object.
    `void` | `updateCalendarWithAnswer(Calendar obj, java.util.List<JGDIAnswer> answers)` Update a `Calendar` object.
    `void` | `updateCheckpoint(Checkpoint obj)` Update the `Checkpoint` object.
    `void` | `updateCheckpointWithAnswer(Checkpoint obj, java.util.List<JGDIAnswer> answers)` Update a `Checkpoint` object.
    `void` | `updateClusterQueue(ClusterQueue obj)` Update the `ClusterQueue` object.
    `void` | `updateClusterQueueWithAnswer(ClusterQueue obj, java.util.List<JGDIAnswer> answers)` Update a `ClusterQueue` object.
    `void` | `updateComplexEntry(ComplexEntry obj)` Update the `ComplexEntry` object.
    `void` | `updateComplexEntryWithAnswer(ComplexEntry obj, java.util.List<JGDIAnswer> answers)` Update a `ComplexEntry` object.
    `void` | `updateConfiguration(Configuration obj)` Update the `Configuration` object.
    `void` | `updateConfigurationWithAnswer(Configuration obj, java.util.List<JGDIAnswer> answers)` Update a `Configuration` object.
    `void` | `updateExecHost(ExecHost obj)` Update the `ExecHost` object.
    `void` | `updateExecHostWithAnswer(ExecHost obj, java.util.List<JGDIAnswer> answers)` Update a `ExecHost` object.
    `void` | `updateHostgroup(Hostgroup obj)` Update the `Hostgroup` object.
    `void` | `updateHostgroupWithAnswer(Hostgroup obj, java.util.List<JGDIAnswer> answers)` Update a `Hostgroup` object.
    `void` | `updateJob(Job obj)` Update the `Job` object.
    `void` | `updateJobWithAnswer(Job obj, java.util.List<JGDIAnswer> answers)` Update a `Job` object.
    `void` | `updateParallelEnvironment(ParallelEnvironment obj)` Update the `ParallelEnvironment` object.
    `void` | `updateParallelEnvironmentWithAnswer(ParallelEnvironment obj, java.util.List<JGDIAnswer> answers)` Update a `ParallelEnvironment` object.
    `void` | `updateProject(Project obj)` Update the `Project` object.
    `void` | `updateProjectWithAnswer(Project obj, java.util.List<JGDIAnswer> answers)` Update a `Project` object.
    `void` | `updateResourceQuotaSet(ResourceQuotaSet obj)` Update the `ResourceQuotaSet` object.
    `void` | `updateResourceQuotaSetWithAnswer(ResourceQuotaSet obj, java.util.List<JGDIAnswer> answers)` Update a `ResourceQuotaSet` object.
    `void` | `updateSchedConf(SchedConf obj)` Update a `SchedConf` object.
    `void` | `updateSchedConfWithAnswer(SchedConf obj, java.util.List<JGDIAnswer> answers)` Update a `SchedConf` object.
    `void` | `updateShareTree(ShareTree obj)` Update the `ShareTree` object.
    `void` | `updateShareTreeWithAnswer(ShareTree obj, java.util.List<JGDIAnswer> answers)` Update a `ShareTree` object.
    `void` | `updateUser(User obj)` Update the `User` object.
    `void` | `updateUserSet(UserSet obj)` Update the `UserSet` object.
    `void` | `updateUserSetWithAnswer(UserSet obj, java.util.List<JGDIAnswer> answers)` Update a `UserSet` object.
    `void` | `updateUserWithAnswer(User obj, java.util.List<JGDIAnswer> answers)` Update a `User` object.

    - ### Methods inherited from class com.sun.grid.jgdi.management.mbeans.JGDIJMXBase

      `addNotificationListener, cleanQueues, cleanQueuesWithAnswer, clearJobs, clearJobsWithAnswer, clearQueues, clearQueuesWithAnswer, clearShareTreeUsage, clearShareTreeUsageWithAnswer, close, deleteShareTree, deleteShareTreeWithAnswer, disableQueues, disableQueuesWithAnswer, enableQueues, enableQueuesWithAnswer, execQHost, getActQMaster, getAdminUser, getClusterQueueSummary, getCurrentJGDIVersion, getJGDI, getNB, getNotificationInfo, getQQuota, getQueueInstanceSummary, getRealExecHostList, getSchedulerHost, getSGECell, getSgeExecdPort, getSgeQmasterPort, getSGERoot, getSubscription, killAllEventClients, killAllEventClientsWithAnswer, killAllExecds, killAllExecdsWithAnswer, killEventClients, killEventClientsWithAnswer, killExecd, killExecdWithAnswer, killMaster, killMasterWithAnswer, killScheduler, killSchedulerWithAnswer, newClusterQueueSummaryOptions, newQHostOptions, newQQuotaOptions, newQueueInstanceSummaryOptions, removeNotificationListener, removeNotificationListener, reschedule, rescheduleJobs, rescheduleJobsWithAnswer, rescheduleQueues, rescheduleQueuesWithAnswer, rescheduleWithAnswer, setSubscription, showDetachedSettings, showDetachedSettingsAll, startScheduler, startSchedulerWithAnswer, subscribe, suspend, suspendJobs, suspendJobsWithAnswer, suspendQueues, suspendQueuesWithAnswer, suspendWithAnswer, triggerSchedulerMonitoring, triggerSchedulerMonitoringWithAnswer, unsubscribe, unsuspend, unsuspendJobs, unsuspendJobsWithAnswer, unsuspendQueues, unsuspendQueuesWithAnswer, unsuspendWithAnswer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.sun.grid.jgdi.management.mbeans.JGDIJMXBaseMBean

      `cleanQueues, cleanQueuesWithAnswer, clearJobs, clearJobsWithAnswer, clearQueues, clearQueuesWithAnswer, clearShareTreeUsage, clearShareTreeUsageWithAnswer, close, deleteShareTree, deleteShareTreeWithAnswer, disableQueues, disableQueuesWithAnswer, enableQueues, enableQueuesWithAnswer, execQHost, getActQMaster, getAdminUser, getClusterQueueSummary, getCurrentJGDIVersion, getQQuota, getQueueInstanceSummary, getRealExecHostList, getSchedulerHost, getSGECell, getSgeExecdPort, getSgeQmasterPort, getSGERoot, getSubscription, killAllEventClients, killAllEventClientsWithAnswer, killAllExecds, killAllExecdsWithAnswer, killEventClients, killEventClientsWithAnswer, killExecd, killExecdWithAnswer, killMaster, killMasterWithAnswer, killScheduler, killSchedulerWithAnswer, newClusterQueueSummaryOptions, newQHostOptions, newQQuotaOptions, newQueueInstanceSummaryOptions, reschedule, rescheduleJobs, rescheduleJobsWithAnswer, rescheduleQueues, rescheduleQueuesWithAnswer, rescheduleWithAnswer, setSubscription, showDetachedSettings, showDetachedSettingsAll, startScheduler, startSchedulerWithAnswer, subscribe, suspend, suspendJobs, suspendJobsWithAnswer, suspendQueues, suspendQueuesWithAnswer, suspendWithAnswer, triggerSchedulerMonitoring, triggerSchedulerMonitoringWithAnswer, unsubscribe, unsuspend, unsuspendJobs, unsuspendJobsWithAnswer, unsuspendQueues, unsuspendQueuesWithAnswer, unsuspendWithAnswer`

- - ### Constructor Detail

    - #### JGDIJMX

          public JGDIJMX(JGDISession owner)
                  throws JGDIException

      Create a new instance of `JGDIJMXImpl`.
      Throws:
        `JGDIException`

  - ### Method Detail

    - #### deleteSubmitHost

          public void deleteSubmitHost(SubmitHost obj)
                                throws JGDIException

      Delete a `SubmitHost` object.
      Specified by:
        `deleteSubmitHost` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - `SubmitHost` object with the primary key information
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteSubmitHostWithAnswer

          public void deleteSubmitHostWithAnswer(SubmitHost obj,
                                                 java.util.List<JGDIAnswer> answers)
                                          throws JGDIException

      Delete a `SubmitHost` object.
      Specified by:
        `deleteSubmitHostWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - `SubmitHost` object with the primary key information
        `answers` - `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteSubmitHost

          public void deleteSubmitHost(java.lang.String SH_name)
                                throws JGDIException

      Delete the `SubmitHost` object by primary key;
      Specified by:
        `deleteSubmitHost` in interface `JGDIJMXMBean`
      Parameters:
        `SH_name` - the SH_name of the `SubmitHost` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteSubmitHostWithAnswer

          public void deleteSubmitHostWithAnswer(java.lang.String SH_name,
                                                 java.util.List<JGDIAnswer> answers)
                                          throws JGDIException

      Delete a `SubmitHost` object by its primary key
      Specified by:
        `deleteSubmitHostWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `SH_name` - the SH_name of the `SubmitHost` object
        `answers` - `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteSubmitHostsWithAnswer

          public void deleteSubmitHostsWithAnswer(java.lang.String[] SH_names,
                                                  java.util.List<JGDIAnswer> answers)
                                           throws JGDIException

      Delete several `SubmitHost` objects by their primary key
      Specified by:
        `deleteSubmitHostsWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `SH_names` - array of SH_name of the `SubmitHost` objects
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addSubmitHost

          public void addSubmitHost(SubmitHost obj)
                             throws JGDIException

      Add a new `SubmitHost` object.
      Specified by:
        `addSubmitHost` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the new `SubmitHost` object
      Throws:
        `JGDIException` - on any error

    - #### addSubmitHostWithAnswer

          public void addSubmitHostWithAnswer(SubmitHost obj,
                                              java.util.List<JGDIAnswer> answers)
                                       throws JGDIException

      Add a new `SubmitHost` object.
      Specified by:
        `addSubmitHostWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the new `SubmitHost` object
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addSubmitHost

          public void addSubmitHost(java.lang.String name)
                             throws JGDIException

      Add a new `SubmitHost` object.
      Specified by:
        `addSubmitHost` in interface `JGDIJMXMBean`
      Parameters:
        `name` - the new `String` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addSubmitHostWithAnswer

          public void addSubmitHostWithAnswer(java.lang.String name,
                                              java.util.List<JGDIAnswer> answers)
                                       throws JGDIException

      Add a new `SubmitHost` object.
      Specified by:
        `addSubmitHostWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `name` - the new `String` object
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getSubmitHostList

          public java.util.List getSubmitHostList()
                                           throws JGDIException

      Get all `SubmitHost` objects.
      Specified by:
        `getSubmitHostList` in interface `JGDIJMXMBean`
      Returns:
        a @{link java.util.List} of `SubmitHost` objects
      Throws:
        `JGDIException` - on any error

    - #### getSubmitHostListWithAnswer

          public java.util.List getSubmitHostListWithAnswer(java.util.List<JGDIAnswer> answers)
                                                     throws JGDIException

      Get the list of all defined `SubmitHost` objects.
      Specified by:
        `getSubmitHostListWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `answers` - the `answer list` object
      Returns:
        list of `SubmitHost` objects
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### updateHostgroup

          public void updateHostgroup(Hostgroup obj)
                               throws JGDIException

      Update the `Hostgroup` object.
      Specified by:
        `updateHostgroup` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the `Hostgroup` object with the new values
      Throws:
        `JGDIException` - on any error

    - #### updateHostgroupWithAnswer

          public void updateHostgroupWithAnswer(Hostgroup obj,
                                                java.util.List<JGDIAnswer> answers)
                                         throws JGDIException

      Update a `Hostgroup` object.
      Specified by:
        `updateHostgroupWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the `Hostgroup` object with the new values
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteHostgroup

          public void deleteHostgroup(Hostgroup obj)
                               throws JGDIException

      Delete a `Hostgroup` object.
      Specified by:
        `deleteHostgroup` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - `Hostgroup` object with the primary key information
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteHostgroupWithAnswer

          public void deleteHostgroupWithAnswer(Hostgroup obj,
                                                java.util.List<JGDIAnswer> answers)
                                         throws JGDIException

      Delete a `Hostgroup` object.
      Specified by:
        `deleteHostgroupWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - `Hostgroup` object with the primary key information
        `answers` - `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteHostgroup

          public void deleteHostgroup(java.lang.String HGRP_name)
                               throws JGDIException

      Delete the `Hostgroup` object by primary key;
      Specified by:
        `deleteHostgroup` in interface `JGDIJMXMBean`
      Parameters:
        `HGRP_name` - the HGRP_name of the `Hostgroup` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteHostgroupWithAnswer

          public void deleteHostgroupWithAnswer(java.lang.String HGRP_name,
                                                java.util.List<JGDIAnswer> answers)
                                         throws JGDIException

      Delete a `Hostgroup` object by its primary key
      Specified by:
        `deleteHostgroupWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `HGRP_name` - the HGRP_name of the `Hostgroup` object
        `answers` - `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteHostgroupsWithAnswer

          public void deleteHostgroupsWithAnswer(java.lang.String[] HGRP_names,
                                                 java.util.List<JGDIAnswer> answers)
                                          throws JGDIException

      Delete several `Hostgroup` objects by their primary key
      Specified by:
        `deleteHostgroupsWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `HGRP_names` - array of HGRP_name of the `Hostgroup` objects
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addHostgroup

          public void addHostgroup(Hostgroup obj)
                            throws JGDIException

      Add a new `Hostgroup` object.
      Specified by:
        `addHostgroup` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the new `Hostgroup` object
      Throws:
        `JGDIException` - on any error

    - #### addHostgroupWithAnswer

          public void addHostgroupWithAnswer(Hostgroup obj,
                                             java.util.List<JGDIAnswer> answers)
                                      throws JGDIException

      Add a new `Hostgroup` object.
      Specified by:
        `addHostgroupWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the new `Hostgroup` object
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getHostgroupList

          public java.util.List getHostgroupList()
                                          throws JGDIException

      Get all `Hostgroup` objects.
      Specified by:
        `getHostgroupList` in interface `JGDIJMXMBean`
      Returns:
        a @{link java.util.List} of `Hostgroup` objects
      Throws:
        `JGDIException` - on any error

    - #### getHostgroupListWithAnswer

          public java.util.List getHostgroupListWithAnswer(java.util.List<JGDIAnswer> answers)
                                                    throws JGDIException

      Get the list of all defined `Hostgroup` objects.
      Specified by:
        `getHostgroupListWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `answers` - the `answer list` object
      Returns:
        list of `Hostgroup` objects
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getHostgroup

          public Hostgroup getHostgroup(java.lang.String HGRP_name)
                                 throws JGDIException

      Get the `Hostgroup` object;
      Specified by:
        `getHostgroup` in interface `JGDIJMXMBean`
      Parameters:
        `HGRP_name` - the HGRP_name of the `Hostgroup` object
      Returns:
        the `Hostgroup` object
      Throws:
        `JGDIException` - on any error

    - #### getHostgroupWithAnswer

          public Hostgroup getHostgroupWithAnswer(java.lang.String HGRP_name,
                                                  java.util.List<JGDIAnswer> answers)
                                           throws JGDIException

      Get a Hostgroup by its primary key
      Specified by:
        `getHostgroupWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `HGRP_name` - the HGRP_name of the `Hostgroup` object
        `answers` - the `answer list` object
      Returns:
        the Hostgroup
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### updateShareTree

          public void updateShareTree(ShareTree obj)
                               throws JGDIException

      Update the `ShareTree` object.
      Specified by:
        `updateShareTree` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the `ShareTree` object with the new values
      Throws:
        `JGDIException` - on any error

    - #### updateShareTreeWithAnswer

          public void updateShareTreeWithAnswer(ShareTree obj,
                                                java.util.List<JGDIAnswer> answers)
                                         throws JGDIException

      Update a `ShareTree` object.
      Specified by:
        `updateShareTreeWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the `ShareTree` object with the new values
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getShareTree

          public ShareTree getShareTree(java.lang.String STN_name)
                                 throws JGDIException

      Get the `ShareTree` object;
      Specified by:
        `getShareTree` in interface `JGDIJMXMBean`
      Parameters:
        `STN_name` - the STN_name of the `ShareTree` object
      Returns:
        the `ShareTree` object
      Throws:
        `JGDIException` - on any error

    - #### getShareTreeWithAnswer

          public ShareTree getShareTreeWithAnswer(java.lang.String STN_name,
                                                  java.util.List<JGDIAnswer> answers)
                                           throws JGDIException

      Get a ShareTree by its primary key
      Specified by:
        `getShareTreeWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `STN_name` - the STN_name of the `ShareTree` object
        `answers` - the `answer list` object
      Returns:
        the ShareTree
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteAdminHost

          public void deleteAdminHost(AdminHost obj)
                               throws JGDIException

      Delete a `AdminHost` object.
      Specified by:
        `deleteAdminHost` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - `AdminHost` object with the primary key information
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteAdminHostWithAnswer

          public void deleteAdminHostWithAnswer(AdminHost obj,
                                                java.util.List<JGDIAnswer> answers)
                                         throws JGDIException

      Delete a `AdminHost` object.
      Specified by:
        `deleteAdminHostWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - `AdminHost` object with the primary key information
        `answers` - `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteAdminHost

          public void deleteAdminHost(java.lang.String AH_name)
                               throws JGDIException

      Delete the `AdminHost` object by primary key;
      Specified by:
        `deleteAdminHost` in interface `JGDIJMXMBean`
      Parameters:
        `AH_name` - the AH_name of the `AdminHost` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteAdminHostWithAnswer

          public void deleteAdminHostWithAnswer(java.lang.String AH_name,
                                                java.util.List<JGDIAnswer> answers)
                                         throws JGDIException

      Delete a `AdminHost` object by its primary key
      Specified by:
        `deleteAdminHostWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `AH_name` - the AH_name of the `AdminHost` object
        `answers` - `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteAdminHostsWithAnswer

          public void deleteAdminHostsWithAnswer(java.lang.String[] AH_names,
                                                 java.util.List<JGDIAnswer> answers)
                                          throws JGDIException

      Delete several `AdminHost` objects by their primary key
      Specified by:
        `deleteAdminHostsWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `AH_names` - array of AH_name of the `AdminHost` objects
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addAdminHost

          public void addAdminHost(AdminHost obj)
                            throws JGDIException

      Add a new `AdminHost` object.
      Specified by:
        `addAdminHost` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the new `AdminHost` object
      Throws:
        `JGDIException` - on any error

    - #### addAdminHostWithAnswer

          public void addAdminHostWithAnswer(AdminHost obj,
                                             java.util.List<JGDIAnswer> answers)
                                      throws JGDIException

      Add a new `AdminHost` object.
      Specified by:
        `addAdminHostWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the new `AdminHost` object
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addAdminHost

          public void addAdminHost(java.lang.String name)
                            throws JGDIException

      Add a new `AdminHost` object.
      Specified by:
        `addAdminHost` in interface `JGDIJMXMBean`
      Parameters:
        `name` - the new `String` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addAdminHostWithAnswer

          public void addAdminHostWithAnswer(java.lang.String name,
                                             java.util.List<JGDIAnswer> answers)
                                      throws JGDIException

      Add a new `AdminHost` object.
      Specified by:
        `addAdminHostWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `name` - the new `String` object
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getAdminHostList

          public java.util.List getAdminHostList()
                                          throws JGDIException

      Get all `AdminHost` objects.
      Specified by:
        `getAdminHostList` in interface `JGDIJMXMBean`
      Returns:
        a @{link java.util.List} of `AdminHost` objects
      Throws:
        `JGDIException` - on any error

    - #### getAdminHostListWithAnswer

          public java.util.List getAdminHostListWithAnswer(java.util.List<JGDIAnswer> answers)
                                                    throws JGDIException

      Get the list of all defined `AdminHost` objects.
      Specified by:
        `getAdminHostListWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `answers` - the `answer list` object
      Returns:
        list of `AdminHost` objects
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getJobSchedulingInfo

          public JobSchedulingInfo getJobSchedulingInfo()
                                                 throws JGDIException

      Get the `JobSchedulingInfo` object
      Specified by:
        `getJobSchedulingInfo` in interface `JGDIJMXMBean`
      Returns:
        the `JobSchedulingInfo` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getJobSchedulingInfoWithAnswer

          public JobSchedulingInfo getJobSchedulingInfoWithAnswer(java.util.List<JGDIAnswer> answers)
                                                           throws JGDIException

      Get the `JobSchedulingInfo` object.
      Specified by:
        `getJobSchedulingInfoWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `answers` - the `answer list` object
      Returns:
        the `JobSchedulingInfo` object.
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### updateUserSet

          public void updateUserSet(UserSet obj)
                             throws JGDIException

      Update the `UserSet` object.
      Specified by:
        `updateUserSet` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the `UserSet` object with the new values
      Throws:
        `JGDIException` - on any error

    - #### updateUserSetWithAnswer

          public void updateUserSetWithAnswer(UserSet obj,
                                              java.util.List<JGDIAnswer> answers)
                                       throws JGDIException

      Update a `UserSet` object.
      Specified by:
        `updateUserSetWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the `UserSet` object with the new values
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteUserSet

          public void deleteUserSet(UserSet obj)
                             throws JGDIException

      Delete a `UserSet` object.
      Specified by:
        `deleteUserSet` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - `UserSet` object with the primary key information
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteUserSetWithAnswer

          public void deleteUserSetWithAnswer(UserSet obj,
                                              java.util.List<JGDIAnswer> answers)
                                       throws JGDIException

      Delete a `UserSet` object.
      Specified by:
        `deleteUserSetWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - `UserSet` object with the primary key information
        `answers` - `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteUserSet

          public void deleteUserSet(java.lang.String US_name)
                             throws JGDIException

      Delete the `UserSet` object by primary key;
      Specified by:
        `deleteUserSet` in interface `JGDIJMXMBean`
      Parameters:
        `US_name` - the US_name of the `UserSet` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteUserSetWithAnswer

          public void deleteUserSetWithAnswer(java.lang.String US_name,
                                              java.util.List<JGDIAnswer> answers)
                                       throws JGDIException

      Delete a `UserSet` object by its primary key
      Specified by:
        `deleteUserSetWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `US_name` - the US_name of the `UserSet` object
        `answers` - `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteUserSetsWithAnswer

          public void deleteUserSetsWithAnswer(java.lang.String[] US_names,
                                               java.util.List<JGDIAnswer> answers)
                                        throws JGDIException

      Delete several `UserSet` objects by their primary key
      Specified by:
        `deleteUserSetsWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `US_names` - array of US_name of the `UserSet` objects
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addUserSet

          public void addUserSet(UserSet obj)
                          throws JGDIException

      Add a new `UserSet` object.
      Specified by:
        `addUserSet` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the new `UserSet` object
      Throws:
        `JGDIException` - on any error

    - #### addUserSetWithAnswer

          public void addUserSetWithAnswer(UserSet obj,
                                           java.util.List<JGDIAnswer> answers)
                                    throws JGDIException

      Add a new `UserSet` object.
      Specified by:
        `addUserSetWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the new `UserSet` object
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getUserSetList

          public java.util.List getUserSetList()
                                        throws JGDIException

      Get all `UserSet` objects.
      Specified by:
        `getUserSetList` in interface `JGDIJMXMBean`
      Returns:
        a @{link java.util.List} of `UserSet` objects
      Throws:
        `JGDIException` - on any error

    - #### getUserSetListWithAnswer

          public java.util.List getUserSetListWithAnswer(java.util.List<JGDIAnswer> answers)
                                                  throws JGDIException

      Get the list of all defined `UserSet` objects.
      Specified by:
        `getUserSetListWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `answers` - the `answer list` object
      Returns:
        list of `UserSet` objects
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getUserSet

          public UserSet getUserSet(java.lang.String US_name)
                             throws JGDIException

      Get the `UserSet` object;
      Specified by:
        `getUserSet` in interface `JGDIJMXMBean`
      Parameters:
        `US_name` - the US_name of the `UserSet` object
      Returns:
        the `UserSet` object
      Throws:
        `JGDIException` - on any error

    - #### getUserSetWithAnswer

          public UserSet getUserSetWithAnswer(java.lang.String US_name,
                                              java.util.List<JGDIAnswer> answers)
                                       throws JGDIException

      Get a UserSet by its primary key
      Specified by:
        `getUserSetWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `US_name` - the US_name of the `UserSet` object
        `answers` - the `answer list` object
      Returns:
        the UserSet
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteAdvanceReservation

          public void deleteAdvanceReservation(AdvanceReservation obj)
                                        throws JGDIException

      Delete a `AdvanceReservation` object.
      Specified by:
        `deleteAdvanceReservation` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - `AdvanceReservation` object with the primary key information
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteAdvanceReservationWithAnswer

          public void deleteAdvanceReservationWithAnswer(AdvanceReservation obj,
                                                         java.util.List<JGDIAnswer> answers)
                                                  throws JGDIException

      Delete a `AdvanceReservation` object.
      Specified by:
        `deleteAdvanceReservationWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - `AdvanceReservation` object with the primary key information
        `answers` - `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteAdvanceReservation

          public void deleteAdvanceReservation(int AR_id)
                                        throws JGDIException

      Delete the `AdvanceReservation` object by primary key;
      Specified by:
        `deleteAdvanceReservation` in interface `JGDIJMXMBean`
      Parameters:
        `AR_id` - the AR_id of the `AdvanceReservation` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteAdvanceReservationWithAnswer

          public void deleteAdvanceReservationWithAnswer(int AR_id,
                                                         java.util.List<JGDIAnswer> answers)
                                                  throws JGDIException

      Delete a `AdvanceReservation` object by its primary key
      Specified by:
        `deleteAdvanceReservationWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `AR_id` - the AR_id of the `AdvanceReservation` object
        `answers` - `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteAdvanceReservationsWithAnswer

          public void deleteAdvanceReservationsWithAnswer(java.lang.String[] AR_ids,
                                                          boolean forced,
                                                          UserFilter userFilter,
                                                          java.util.List<JGDIAnswer> answers)
                                                   throws JGDIException

      Delete several `AdvanceReservation` objects by their primary key
      Specified by:
        `deleteAdvanceReservationsWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `AR_ids` - array of AR_id of the `AdvanceReservation` objects
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addAdvanceReservation

          public void addAdvanceReservation(AdvanceReservation obj)
                                     throws JGDIException

      Add a new `AdvanceReservation` object.
      Specified by:
        `addAdvanceReservation` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the new `AdvanceReservation` object
      Throws:
        `JGDIException` - on any error

    - #### addAdvanceReservationWithAnswer

          public void addAdvanceReservationWithAnswer(AdvanceReservation obj,
                                                      java.util.List<JGDIAnswer> answers)
                                               throws JGDIException

      Add a new `AdvanceReservation` object.
      Specified by:
        `addAdvanceReservationWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the new `AdvanceReservation` object
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getAdvanceReservationList

          public java.util.List getAdvanceReservationList()
                                                   throws JGDIException

      Get all `AdvanceReservation` objects.
      Specified by:
        `getAdvanceReservationList` in interface `JGDIJMXMBean`
      Returns:
        a @{link java.util.List} of `AdvanceReservation` objects
      Throws:
        `JGDIException` - on any error

    - #### getAdvanceReservationListWithAnswer

          public java.util.List getAdvanceReservationListWithAnswer(java.util.List<JGDIAnswer> answers)
                                                             throws JGDIException

      Get the list of all defined `AdvanceReservation` objects.
      Specified by:
        `getAdvanceReservationListWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `answers` - the `answer list` object
      Returns:
        list of `AdvanceReservation` objects
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getAdvanceReservation

          public AdvanceReservation getAdvanceReservation(int AR_id)
                                                   throws JGDIException

      Get the `AdvanceReservation` object;
      Specified by:
        `getAdvanceReservation` in interface `JGDIJMXMBean`
      Parameters:
        `AR_id` - the AR_id of the `AdvanceReservation` object
      Returns:
        the `AdvanceReservation` object
      Throws:
        `JGDIException` - on any error

    - #### getAdvanceReservationWithAnswer

          public AdvanceReservation getAdvanceReservationWithAnswer(int AR_id,
                                                                    java.util.List<JGDIAnswer> answers)
                                                             throws JGDIException

      Get a AdvanceReservation by its primary key
      Specified by:
        `getAdvanceReservationWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `AR_id` - the AR_id of the `AdvanceReservation` object
        `answers` - the `answer list` object
      Returns:
        the AdvanceReservation
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### updateCheckpoint

          public void updateCheckpoint(Checkpoint obj)
                                throws JGDIException

      Update the `Checkpoint` object.
      Specified by:
        `updateCheckpoint` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the `Checkpoint` object with the new values
      Throws:
        `JGDIException` - on any error

    - #### updateCheckpointWithAnswer

          public void updateCheckpointWithAnswer(Checkpoint obj,
                                                 java.util.List<JGDIAnswer> answers)
                                          throws JGDIException

      Update a `Checkpoint` object.
      Specified by:
        `updateCheckpointWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the `Checkpoint` object with the new values
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteCheckpoint

          public void deleteCheckpoint(Checkpoint obj)
                                throws JGDIException

      Delete a `Checkpoint` object.
      Specified by:
        `deleteCheckpoint` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - `Checkpoint` object with the primary key information
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteCheckpointWithAnswer

          public void deleteCheckpointWithAnswer(Checkpoint obj,
                                                 java.util.List<JGDIAnswer> answers)
                                          throws JGDIException

      Delete a `Checkpoint` object.
      Specified by:
        `deleteCheckpointWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - `Checkpoint` object with the primary key information
        `answers` - `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteCheckpoint

          public void deleteCheckpoint(java.lang.String CK_name)
                                throws JGDIException

      Delete the `Checkpoint` object by primary key;
      Specified by:
        `deleteCheckpoint` in interface `JGDIJMXMBean`
      Parameters:
        `CK_name` - the CK_name of the `Checkpoint` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteCheckpointWithAnswer

          public void deleteCheckpointWithAnswer(java.lang.String CK_name,
                                                 java.util.List<JGDIAnswer> answers)
                                          throws JGDIException

      Delete a `Checkpoint` object by its primary key
      Specified by:
        `deleteCheckpointWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `CK_name` - the CK_name of the `Checkpoint` object
        `answers` - `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteCheckpointsWithAnswer

          public void deleteCheckpointsWithAnswer(java.lang.String[] CK_names,
                                                  java.util.List<JGDIAnswer> answers)
                                           throws JGDIException

      Delete several `Checkpoint` objects by their primary key
      Specified by:
        `deleteCheckpointsWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `CK_names` - array of CK_name of the `Checkpoint` objects
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addCheckpoint

          public void addCheckpoint(Checkpoint obj)
                             throws JGDIException

      Add a new `Checkpoint` object.
      Specified by:
        `addCheckpoint` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the new `Checkpoint` object
      Throws:
        `JGDIException` - on any error

    - #### addCheckpointWithAnswer

          public void addCheckpointWithAnswer(Checkpoint obj,
                                              java.util.List<JGDIAnswer> answers)
                                       throws JGDIException

      Add a new `Checkpoint` object.
      Specified by:
        `addCheckpointWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the new `Checkpoint` object
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getCheckpointList

          public java.util.List getCheckpointList()
                                           throws JGDIException

      Get all `Checkpoint` objects.
      Specified by:
        `getCheckpointList` in interface `JGDIJMXMBean`
      Returns:
        a @{link java.util.List} of `Checkpoint` objects
      Throws:
        `JGDIException` - on any error

    - #### getCheckpointListWithAnswer

          public java.util.List getCheckpointListWithAnswer(java.util.List<JGDIAnswer> answers)
                                                     throws JGDIException

      Get the list of all defined `Checkpoint` objects.
      Specified by:
        `getCheckpointListWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `answers` - the `answer list` object
      Returns:
        list of `Checkpoint` objects
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getCheckpoint

          public Checkpoint getCheckpoint(java.lang.String CK_name)
                                   throws JGDIException

      Get the `Checkpoint` object;
      Specified by:
        `getCheckpoint` in interface `JGDIJMXMBean`
      Parameters:
        `CK_name` - the CK_name of the `Checkpoint` object
      Returns:
        the `Checkpoint` object
      Throws:
        `JGDIException` - on any error

    - #### getCheckpointWithAnswer

          public Checkpoint getCheckpointWithAnswer(java.lang.String CK_name,
                                                    java.util.List<JGDIAnswer> answers)
                                             throws JGDIException

      Get a Checkpoint by its primary key
      Specified by:
        `getCheckpointWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `CK_name` - the CK_name of the `Checkpoint` object
        `answers` - the `answer list` object
      Returns:
        the Checkpoint
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### updateJob

          public void updateJob(Job obj)
                         throws JGDIException

      Update the `Job` object.
      Specified by:
        `updateJob` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the `Job` object with the new values
      Throws:
        `JGDIException` - on any error

    - #### updateJobWithAnswer

          public void updateJobWithAnswer(Job obj,
                                          java.util.List<JGDIAnswer> answers)
                                   throws JGDIException

      Update a `Job` object.
      Specified by:
        `updateJobWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the `Job` object with the new values
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteJob

          public void deleteJob(Job obj)
                         throws JGDIException

      Delete a `Job` object.
      Specified by:
        `deleteJob` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - `Job` object with the primary key information
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteJobWithAnswer

          public void deleteJobWithAnswer(Job obj,
                                          java.util.List<JGDIAnswer> answers)
                                   throws JGDIException

      Delete a `Job` object.
      Specified by:
        `deleteJobWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - `Job` object with the primary key information
        `answers` - `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteJob

          public void deleteJob(int JB_job_number)
                         throws JGDIException

      Delete the `Job` object by primary key;
      Specified by:
        `deleteJob` in interface `JGDIJMXMBean`
      Parameters:
        `JB_job_number` - the JB_job_number of the `Job` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteJobWithAnswer

          public void deleteJobWithAnswer(int JB_job_number,
                                          java.util.List<JGDIAnswer> answers)
                                   throws JGDIException

      Delete a `Job` object by its primary key
      Specified by:
        `deleteJobWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `JB_job_number` - the JB_job_number of the `Job` object
        `answers` - `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteJobsWithAnswer

          public void deleteJobsWithAnswer(java.lang.String[] JB_job_numbers,
                                           boolean forced,
                                           UserFilter userFilter,
                                           java.util.List<JGDIAnswer> answers)
                                    throws JGDIException

      Delete several `Job` objects by their primary key
      Specified by:
        `deleteJobsWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `JB_job_numbers` - array of JB_job_number of the `Job` objects
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addJob

          public void addJob(Job obj)
                      throws JGDIException

      Add a new `Job` object.
      Specified by:
        `addJob` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the new `Job` object
      Throws:
        `JGDIException` - on any error

    - #### addJobWithAnswer

          public void addJobWithAnswer(Job obj,
                                       java.util.List<JGDIAnswer> answers)
                                throws JGDIException

      Add a new `Job` object.
      Specified by:
        `addJobWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the new `Job` object
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getJobList

          public java.util.List getJobList()
                                    throws JGDIException

      Get all `Job` objects.
      Specified by:
        `getJobList` in interface `JGDIJMXMBean`
      Returns:
        a @{link java.util.List} of `Job` objects
      Throws:
        `JGDIException` - on any error

    - #### getJobListWithAnswer

          public java.util.List getJobListWithAnswer(java.util.List<JGDIAnswer> answers)
                                              throws JGDIException

      Get the list of all defined `Job` objects.
      Specified by:
        `getJobListWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `answers` - the `answer list` object
      Returns:
        list of `Job` objects
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getJob

          public Job getJob(int JB_job_number)
                     throws JGDIException

      Get the `Job` object;
      Specified by:
        `getJob` in interface `JGDIJMXMBean`
      Parameters:
        `JB_job_number` - the JB_job_number of the `Job` object
      Returns:
        the `Job` object
      Throws:
        `JGDIException` - on any error

    - #### getJobWithAnswer

          public Job getJobWithAnswer(int JB_job_number,
                                      java.util.List<JGDIAnswer> answers)
                               throws JGDIException

      Get a Job by its primary key
      Specified by:
        `getJobWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `JB_job_number` - the JB_job_number of the `Job` object
        `answers` - the `answer list` object
      Returns:
        the Job
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### updateConfiguration

          public void updateConfiguration(Configuration obj)
                                   throws JGDIException

      Update the `Configuration` object.
      Specified by:
        `updateConfiguration` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the `Configuration` object with the new values
      Throws:
        `JGDIException` - on any error

    - #### updateConfigurationWithAnswer

          public void updateConfigurationWithAnswer(Configuration obj,
                                                    java.util.List<JGDIAnswer> answers)
                                             throws JGDIException

      Update a `Configuration` object.
      Specified by:
        `updateConfigurationWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the `Configuration` object with the new values
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteConfiguration

          public void deleteConfiguration(Configuration obj)
                                   throws JGDIException

      Delete a `Configuration` object.
      Specified by:
        `deleteConfiguration` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - `Configuration` object with the primary key information
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteConfigurationWithAnswer

          public void deleteConfigurationWithAnswer(Configuration obj,
                                                    java.util.List<JGDIAnswer> answers)
                                             throws JGDIException

      Delete a `Configuration` object.
      Specified by:
        `deleteConfigurationWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - `Configuration` object with the primary key information
        `answers` - `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteConfiguration

          public void deleteConfiguration(java.lang.String CONF_name)
                                   throws JGDIException

      Delete the `Configuration` object by primary key;
      Specified by:
        `deleteConfiguration` in interface `JGDIJMXMBean`
      Parameters:
        `CONF_name` - the CONF_name of the `Configuration` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteConfigurationWithAnswer

          public void deleteConfigurationWithAnswer(java.lang.String CONF_name,
                                                    java.util.List<JGDIAnswer> answers)
                                             throws JGDIException

      Delete a `Configuration` object by its primary key
      Specified by:
        `deleteConfigurationWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `CONF_name` - the CONF_name of the `Configuration` object
        `answers` - `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteConfigurationsWithAnswer

          public void deleteConfigurationsWithAnswer(java.lang.String[] CONF_names,
                                                     java.util.List<JGDIAnswer> answers)
                                              throws JGDIException

      Delete several `Configuration` objects by their primary key
      Specified by:
        `deleteConfigurationsWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `CONF_names` - array of CONF_name of the `Configuration` objects
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addConfiguration

          public void addConfiguration(Configuration obj)
                                throws JGDIException

      Add a new `Configuration` object.
      Specified by:
        `addConfiguration` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the new `Configuration` object
      Throws:
        `JGDIException` - on any error

    - #### addConfigurationWithAnswer

          public void addConfigurationWithAnswer(Configuration obj,
                                                 java.util.List<JGDIAnswer> answers)
                                          throws JGDIException

      Add a new `Configuration` object.
      Specified by:
        `addConfigurationWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the new `Configuration` object
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getConfigurationList

          public java.util.List getConfigurationList()
                                              throws JGDIException

      Get all `Configuration` objects.
      Specified by:
        `getConfigurationList` in interface `JGDIJMXMBean`
      Returns:
        a @{link java.util.List} of `Configuration` objects
      Throws:
        `JGDIException` - on any error

    - #### getConfigurationListWithAnswer

          public java.util.List getConfigurationListWithAnswer(java.util.List<JGDIAnswer> answers)
                                                        throws JGDIException

      Get the list of all defined `Configuration` objects.
      Specified by:
        `getConfigurationListWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `answers` - the `answer list` object
      Returns:
        list of `Configuration` objects
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getConfiguration

          public Configuration getConfiguration(java.lang.String CONF_name)
                                         throws JGDIException

      Get the `Configuration` object;
      Specified by:
        `getConfiguration` in interface `JGDIJMXMBean`
      Parameters:
        `CONF_name` - the CONF_name of the `Configuration` object
      Returns:
        the `Configuration` object
      Throws:
        `JGDIException` - on any error

    - #### getConfigurationWithAnswer

          public Configuration getConfigurationWithAnswer(java.lang.String CONF_name,
                                                          java.util.List<JGDIAnswer> answers)
                                                   throws JGDIException

      Get a Configuration by its primary key
      Specified by:
        `getConfigurationWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `CONF_name` - the CONF_name of the `Configuration` object
        `answers` - the `answer list` object
      Returns:
        the Configuration
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### updateProject

          public void updateProject(Project obj)
                             throws JGDIException

      Update the `Project` object.
      Specified by:
        `updateProject` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the `Project` object with the new values
      Throws:
        `JGDIException` - on any error

    - #### updateProjectWithAnswer

          public void updateProjectWithAnswer(Project obj,
                                              java.util.List<JGDIAnswer> answers)
                                       throws JGDIException

      Update a `Project` object.
      Specified by:
        `updateProjectWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the `Project` object with the new values
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteProject

          public void deleteProject(Project obj)
                             throws JGDIException

      Delete a `Project` object.
      Specified by:
        `deleteProject` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - `Project` object with the primary key information
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteProjectWithAnswer

          public void deleteProjectWithAnswer(Project obj,
                                              java.util.List<JGDIAnswer> answers)
                                       throws JGDIException

      Delete a `Project` object.
      Specified by:
        `deleteProjectWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - `Project` object with the primary key information
        `answers` - `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteProject

          public void deleteProject(java.lang.String PR_name)
                             throws JGDIException

      Delete the `Project` object by primary key;
      Specified by:
        `deleteProject` in interface `JGDIJMXMBean`
      Parameters:
        `PR_name` - the PR_name of the `Project` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteProjectWithAnswer

          public void deleteProjectWithAnswer(java.lang.String PR_name,
                                              java.util.List<JGDIAnswer> answers)
                                       throws JGDIException

      Delete a `Project` object by its primary key
      Specified by:
        `deleteProjectWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `PR_name` - the PR_name of the `Project` object
        `answers` - `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteProjectsWithAnswer

          public void deleteProjectsWithAnswer(java.lang.String[] PR_names,
                                               java.util.List<JGDIAnswer> answers)
                                        throws JGDIException

      Delete several `Project` objects by their primary key
      Specified by:
        `deleteProjectsWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `PR_names` - array of PR_name of the `Project` objects
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addProject

          public void addProject(Project obj)
                          throws JGDIException

      Add a new `Project` object.
      Specified by:
        `addProject` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the new `Project` object
      Throws:
        `JGDIException` - on any error

    - #### addProjectWithAnswer

          public void addProjectWithAnswer(Project obj,
                                           java.util.List<JGDIAnswer> answers)
                                    throws JGDIException

      Add a new `Project` object.
      Specified by:
        `addProjectWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the new `Project` object
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getProjectList

          public java.util.List getProjectList()
                                        throws JGDIException

      Get all `Project` objects.
      Specified by:
        `getProjectList` in interface `JGDIJMXMBean`
      Returns:
        a @{link java.util.List} of `Project` objects
      Throws:
        `JGDIException` - on any error

    - #### getProjectListWithAnswer

          public java.util.List getProjectListWithAnswer(java.util.List<JGDIAnswer> answers)
                                                  throws JGDIException

      Get the list of all defined `Project` objects.
      Specified by:
        `getProjectListWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `answers` - the `answer list` object
      Returns:
        list of `Project` objects
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getProject

          public Project getProject(java.lang.String PR_name)
                             throws JGDIException

      Get the `Project` object;
      Specified by:
        `getProject` in interface `JGDIJMXMBean`
      Parameters:
        `PR_name` - the PR_name of the `Project` object
      Returns:
        the `Project` object
      Throws:
        `JGDIException` - on any error

    - #### getProjectWithAnswer

          public Project getProjectWithAnswer(java.lang.String PR_name,
                                              java.util.List<JGDIAnswer> answers)
                                       throws JGDIException

      Get a Project by its primary key
      Specified by:
        `getProjectWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `PR_name` - the PR_name of the `Project` object
        `answers` - the `answer list` object
      Returns:
        the Project
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### updateComplexEntry

          public void updateComplexEntry(ComplexEntry obj)
                                  throws JGDIException

      Update the `ComplexEntry` object.
      Specified by:
        `updateComplexEntry` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the `ComplexEntry` object with the new values
      Throws:
        `JGDIException` - on any error

    - #### updateComplexEntryWithAnswer

          public void updateComplexEntryWithAnswer(ComplexEntry obj,
                                                   java.util.List<JGDIAnswer> answers)
                                            throws JGDIException

      Update a `ComplexEntry` object.
      Specified by:
        `updateComplexEntryWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the `ComplexEntry` object with the new values
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteComplexEntry

          public void deleteComplexEntry(ComplexEntry obj)
                                  throws JGDIException

      Delete a `ComplexEntry` object.
      Specified by:
        `deleteComplexEntry` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - `ComplexEntry` object with the primary key information
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteComplexEntryWithAnswer

          public void deleteComplexEntryWithAnswer(ComplexEntry obj,
                                                   java.util.List<JGDIAnswer> answers)
                                            throws JGDIException

      Delete a `ComplexEntry` object.
      Specified by:
        `deleteComplexEntryWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - `ComplexEntry` object with the primary key information
        `answers` - `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteComplexEntry

          public void deleteComplexEntry(java.lang.String CE_name)
                                  throws JGDIException

      Delete the `ComplexEntry` object by primary key;
      Specified by:
        `deleteComplexEntry` in interface `JGDIJMXMBean`
      Parameters:
        `CE_name` - the CE_name of the `ComplexEntry` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteComplexEntryWithAnswer

          public void deleteComplexEntryWithAnswer(java.lang.String CE_name,
                                                   java.util.List<JGDIAnswer> answers)
                                            throws JGDIException

      Delete a `ComplexEntry` object by its primary key
      Specified by:
        `deleteComplexEntryWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `CE_name` - the CE_name of the `ComplexEntry` object
        `answers` - `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteComplexEntrysWithAnswer

          public void deleteComplexEntrysWithAnswer(java.lang.String[] CE_names,
                                                    java.util.List<JGDIAnswer> answers)
                                             throws JGDIException

      Delete several `ComplexEntry` objects by their primary key
      Specified by:
        `deleteComplexEntrysWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `CE_names` - array of CE_name of the `ComplexEntry` objects
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addComplexEntry

          public void addComplexEntry(ComplexEntry obj)
                               throws JGDIException

      Add a new `ComplexEntry` object.
      Specified by:
        `addComplexEntry` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the new `ComplexEntry` object
      Throws:
        `JGDIException` - on any error

    - #### addComplexEntryWithAnswer

          public void addComplexEntryWithAnswer(ComplexEntry obj,
                                                java.util.List<JGDIAnswer> answers)
                                         throws JGDIException

      Add a new `ComplexEntry` object.
      Specified by:
        `addComplexEntryWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the new `ComplexEntry` object
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getComplexEntryList

          public java.util.List getComplexEntryList()
                                             throws JGDIException

      Get all `ComplexEntry` objects.
      Specified by:
        `getComplexEntryList` in interface `JGDIJMXMBean`
      Returns:
        a @{link java.util.List} of `ComplexEntry` objects
      Throws:
        `JGDIException` - on any error

    - #### getComplexEntryListWithAnswer

          public java.util.List getComplexEntryListWithAnswer(java.util.List<JGDIAnswer> answers)
                                                       throws JGDIException

      Get the list of all defined `ComplexEntry` objects.
      Specified by:
        `getComplexEntryListWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `answers` - the `answer list` object
      Returns:
        list of `ComplexEntry` objects
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getComplexEntry

          public ComplexEntry getComplexEntry(java.lang.String CE_name)
                                       throws JGDIException

      Get the `ComplexEntry` object;
      Specified by:
        `getComplexEntry` in interface `JGDIJMXMBean`
      Parameters:
        `CE_name` - the CE_name of the `ComplexEntry` object
      Returns:
        the `ComplexEntry` object
      Throws:
        `JGDIException` - on any error

    - #### getComplexEntryWithAnswer

          public ComplexEntry getComplexEntryWithAnswer(java.lang.String CE_name,
                                                        java.util.List<JGDIAnswer> answers)
                                                 throws JGDIException

      Get a ComplexEntry by its primary key
      Specified by:
        `getComplexEntryWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `CE_name` - the CE_name of the `ComplexEntry` object
        `answers` - the `answer list` object
      Returns:
        the ComplexEntry
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### updateSchedConf

          public void updateSchedConf(SchedConf obj)
                               throws JGDIException

      Update a `SchedConf` object.
      Specified by:
        `updateSchedConf` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the `SchedConf` object with the new values
      Throws:
        `JGDIException` - on any error

    - #### updateSchedConfWithAnswer

          public void updateSchedConfWithAnswer(SchedConf obj,
                                                java.util.List<JGDIAnswer> answers)
                                         throws JGDIException

      Update a `SchedConf` object.
      Specified by:
        `updateSchedConfWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the `SchedConf` object with the new values
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getSchedConf

          public SchedConf getSchedConf()
                                 throws JGDIException

      Get the `SchedConf` object
      Specified by:
        `getSchedConf` in interface `JGDIJMXMBean`
      Returns:
        the `SchedConf` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getSchedConfWithAnswer

          public SchedConf getSchedConfWithAnswer(java.util.List<JGDIAnswer> answers)
                                           throws JGDIException

      Get the `SchedConf` object.
      Specified by:
        `getSchedConfWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `answers` - the `answer list` object
      Returns:
        the `SchedConf` object.
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### updateClusterQueue

          public void updateClusterQueue(ClusterQueue obj)
                                  throws JGDIException

      Update the `ClusterQueue` object.
      Specified by:
        `updateClusterQueue` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the `ClusterQueue` object with the new values
      Throws:
        `JGDIException` - on any error

    - #### updateClusterQueueWithAnswer

          public void updateClusterQueueWithAnswer(ClusterQueue obj,
                                                   java.util.List<JGDIAnswer> answers)
                                            throws JGDIException

      Update a `ClusterQueue` object.
      Specified by:
        `updateClusterQueueWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the `ClusterQueue` object with the new values
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteClusterQueue

          public void deleteClusterQueue(ClusterQueue obj)
                                  throws JGDIException

      Delete a `ClusterQueue` object.
      Specified by:
        `deleteClusterQueue` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - `ClusterQueue` object with the primary key information
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteClusterQueueWithAnswer

          public void deleteClusterQueueWithAnswer(ClusterQueue obj,
                                                   java.util.List<JGDIAnswer> answers)
                                            throws JGDIException

      Delete a `ClusterQueue` object.
      Specified by:
        `deleteClusterQueueWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - `ClusterQueue` object with the primary key information
        `answers` - `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteClusterQueue

          public void deleteClusterQueue(java.lang.String CQ_name)
                                  throws JGDIException

      Delete the `ClusterQueue` object by primary key;
      Specified by:
        `deleteClusterQueue` in interface `JGDIJMXMBean`
      Parameters:
        `CQ_name` - the CQ_name of the `ClusterQueue` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteClusterQueueWithAnswer

          public void deleteClusterQueueWithAnswer(java.lang.String CQ_name,
                                                   java.util.List<JGDIAnswer> answers)
                                            throws JGDIException

      Delete a `ClusterQueue` object by its primary key
      Specified by:
        `deleteClusterQueueWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `CQ_name` - the CQ_name of the `ClusterQueue` object
        `answers` - `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteClusterQueuesWithAnswer

          public void deleteClusterQueuesWithAnswer(java.lang.String[] CQ_names,
                                                    java.util.List<JGDIAnswer> answers)
                                             throws JGDIException

      Delete several `ClusterQueue` objects by their primary key
      Specified by:
        `deleteClusterQueuesWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `CQ_names` - array of CQ_name of the `ClusterQueue` objects
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addClusterQueue

          public void addClusterQueue(ClusterQueue obj)
                               throws JGDIException

      Add a new `ClusterQueue` object.
      Specified by:
        `addClusterQueue` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the new `ClusterQueue` object
      Throws:
        `JGDIException` - on any error

    - #### addClusterQueueWithAnswer

          public void addClusterQueueWithAnswer(ClusterQueue obj,
                                                java.util.List<JGDIAnswer> answers)
                                         throws JGDIException

      Add a new `ClusterQueue` object.
      Specified by:
        `addClusterQueueWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the new `ClusterQueue` object
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getClusterQueueList

          public java.util.List getClusterQueueList()
                                             throws JGDIException

      Get all `ClusterQueue` objects.
      Specified by:
        `getClusterQueueList` in interface `JGDIJMXMBean`
      Returns:
        a @{link java.util.List} of `ClusterQueue` objects
      Throws:
        `JGDIException` - on any error

    - #### getClusterQueueListWithAnswer

          public java.util.List getClusterQueueListWithAnswer(java.util.List<JGDIAnswer> answers)
                                                       throws JGDIException

      Get the list of all defined `ClusterQueue` objects.
      Specified by:
        `getClusterQueueListWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `answers` - the `answer list` object
      Returns:
        list of `ClusterQueue` objects
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getClusterQueue

          public ClusterQueue getClusterQueue(java.lang.String CQ_name)
                                       throws JGDIException

      Get the `ClusterQueue` object;
      Specified by:
        `getClusterQueue` in interface `JGDIJMXMBean`
      Parameters:
        `CQ_name` - the CQ_name of the `ClusterQueue` object
      Returns:
        the `ClusterQueue` object
      Throws:
        `JGDIException` - on any error

    - #### getClusterQueueWithAnswer

          public ClusterQueue getClusterQueueWithAnswer(java.lang.String CQ_name,
                                                        java.util.List<JGDIAnswer> answers)
                                                 throws JGDIException

      Get a ClusterQueue by its primary key
      Specified by:
        `getClusterQueueWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `CQ_name` - the CQ_name of the `ClusterQueue` object
        `answers` - the `answer list` object
      Returns:
        the ClusterQueue
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### updateParallelEnvironment

          public void updateParallelEnvironment(ParallelEnvironment obj)
                                         throws JGDIException

      Update the `ParallelEnvironment` object.
      Specified by:
        `updateParallelEnvironment` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the `ParallelEnvironment` object with the new values
      Throws:
        `JGDIException` - on any error

    - #### updateParallelEnvironmentWithAnswer

          public void updateParallelEnvironmentWithAnswer(ParallelEnvironment obj,
                                                          java.util.List<JGDIAnswer> answers)
                                                   throws JGDIException

      Update a `ParallelEnvironment` object.
      Specified by:
        `updateParallelEnvironmentWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the `ParallelEnvironment` object with the new values
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteParallelEnvironment

          public void deleteParallelEnvironment(ParallelEnvironment obj)
                                         throws JGDIException

      Delete a `ParallelEnvironment` object.
      Specified by:
        `deleteParallelEnvironment` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - `ParallelEnvironment` object with the primary key information
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteParallelEnvironmentWithAnswer

          public void deleteParallelEnvironmentWithAnswer(ParallelEnvironment obj,
                                                          java.util.List<JGDIAnswer> answers)
                                                   throws JGDIException

      Delete a `ParallelEnvironment` object.
      Specified by:
        `deleteParallelEnvironmentWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - `ParallelEnvironment` object with the primary key information
        `answers` - `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteParallelEnvironment

          public void deleteParallelEnvironment(java.lang.String PE_name)
                                         throws JGDIException

      Delete the `ParallelEnvironment` object by primary key;
      Specified by:
        `deleteParallelEnvironment` in interface `JGDIJMXMBean`
      Parameters:
        `PE_name` - the PE_name of the `ParallelEnvironment` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteParallelEnvironmentWithAnswer

          public void deleteParallelEnvironmentWithAnswer(java.lang.String PE_name,
                                                          java.util.List<JGDIAnswer> answers)
                                                   throws JGDIException

      Delete a `ParallelEnvironment` object by its primary key
      Specified by:
        `deleteParallelEnvironmentWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `PE_name` - the PE_name of the `ParallelEnvironment` object
        `answers` - `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteParallelEnvironmentsWithAnswer

          public void deleteParallelEnvironmentsWithAnswer(java.lang.String[] PE_names,
                                                           java.util.List<JGDIAnswer> answers)
                                                    throws JGDIException

      Delete several `ParallelEnvironment` objects by their primary key
      Specified by:
        `deleteParallelEnvironmentsWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `PE_names` - array of PE_name of the `ParallelEnvironment` objects
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addParallelEnvironment

          public void addParallelEnvironment(ParallelEnvironment obj)
                                      throws JGDIException

      Add a new `ParallelEnvironment` object.
      Specified by:
        `addParallelEnvironment` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the new `ParallelEnvironment` object
      Throws:
        `JGDIException` - on any error

    - #### addParallelEnvironmentWithAnswer

          public void addParallelEnvironmentWithAnswer(ParallelEnvironment obj,
                                                       java.util.List<JGDIAnswer> answers)
                                                throws JGDIException

      Add a new `ParallelEnvironment` object.
      Specified by:
        `addParallelEnvironmentWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the new `ParallelEnvironment` object
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getParallelEnvironmentList

          public java.util.List getParallelEnvironmentList()
                                                    throws JGDIException

      Get all `ParallelEnvironment` objects.
      Specified by:
        `getParallelEnvironmentList` in interface `JGDIJMXMBean`
      Returns:
        a @{link java.util.List} of `ParallelEnvironment` objects
      Throws:
        `JGDIException` - on any error

    - #### getParallelEnvironmentListWithAnswer

          public java.util.List getParallelEnvironmentListWithAnswer(java.util.List<JGDIAnswer> answers)
                                                              throws JGDIException

      Get the list of all defined `ParallelEnvironment` objects.
      Specified by:
        `getParallelEnvironmentListWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `answers` - the `answer list` object
      Returns:
        list of `ParallelEnvironment` objects
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getParallelEnvironment

          public ParallelEnvironment getParallelEnvironment(java.lang.String PE_name)
                                                     throws JGDIException

      Get the `ParallelEnvironment` object;
      Specified by:
        `getParallelEnvironment` in interface `JGDIJMXMBean`
      Parameters:
        `PE_name` - the PE_name of the `ParallelEnvironment` object
      Returns:
        the `ParallelEnvironment` object
      Throws:
        `JGDIException` - on any error

    - #### getParallelEnvironmentWithAnswer

          public ParallelEnvironment getParallelEnvironmentWithAnswer(java.lang.String PE_name,
                                                                      java.util.List<JGDIAnswer> answers)
                                                               throws JGDIException

      Get a ParallelEnvironment by its primary key
      Specified by:
        `getParallelEnvironmentWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `PE_name` - the PE_name of the `ParallelEnvironment` object
        `answers` - the `answer list` object
      Returns:
        the ParallelEnvironment
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteManager

          public void deleteManager(Manager obj)
                             throws JGDIException

      Delete a `Manager` object.
      Specified by:
        `deleteManager` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - `Manager` object with the primary key information
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteManagerWithAnswer

          public void deleteManagerWithAnswer(Manager obj,
                                              java.util.List<JGDIAnswer> answers)
                                       throws JGDIException

      Delete a `Manager` object.
      Specified by:
        `deleteManagerWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - `Manager` object with the primary key information
        `answers` - `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteManager

          public void deleteManager(java.lang.String UM_name)
                             throws JGDIException

      Delete the `Manager` object by primary key;
      Specified by:
        `deleteManager` in interface `JGDIJMXMBean`
      Parameters:
        `UM_name` - the UM_name of the `Manager` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteManagerWithAnswer

          public void deleteManagerWithAnswer(java.lang.String UM_name,
                                              java.util.List<JGDIAnswer> answers)
                                       throws JGDIException

      Delete a `Manager` object by its primary key
      Specified by:
        `deleteManagerWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `UM_name` - the UM_name of the `Manager` object
        `answers` - `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteManagersWithAnswer

          public void deleteManagersWithAnswer(java.lang.String[] UM_names,
                                               java.util.List<JGDIAnswer> answers)
                                        throws JGDIException

      Delete several `Manager` objects by their primary key
      Specified by:
        `deleteManagersWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `UM_names` - array of UM_name of the `Manager` objects
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addManager

          public void addManager(Manager obj)
                          throws JGDIException

      Add a new `Manager` object.
      Specified by:
        `addManager` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the new `Manager` object
      Throws:
        `JGDIException` - on any error

    - #### addManagerWithAnswer

          public void addManagerWithAnswer(Manager obj,
                                           java.util.List<JGDIAnswer> answers)
                                    throws JGDIException

      Add a new `Manager` object.
      Specified by:
        `addManagerWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the new `Manager` object
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addManager

          public void addManager(java.lang.String name)
                          throws JGDIException

      Add a new `Manager` object.
      Specified by:
        `addManager` in interface `JGDIJMXMBean`
      Parameters:
        `name` - the new `String` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addManagerWithAnswer

          public void addManagerWithAnswer(java.lang.String name,
                                           java.util.List<JGDIAnswer> answers)
                                    throws JGDIException

      Add a new `Manager` object.
      Specified by:
        `addManagerWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `name` - the new `String` object
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getManagerList

          public java.util.List getManagerList()
                                        throws JGDIException

      Get all `Manager` objects.
      Specified by:
        `getManagerList` in interface `JGDIJMXMBean`
      Returns:
        a @{link java.util.List} of `Manager` objects
      Throws:
        `JGDIException` - on any error

    - #### getManagerListWithAnswer

          public java.util.List getManagerListWithAnswer(java.util.List<JGDIAnswer> answers)
                                                  throws JGDIException

      Get the list of all defined `Manager` objects.
      Specified by:
        `getManagerListWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `answers` - the `answer list` object
      Returns:
        list of `Manager` objects
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getManager

          public Manager getManager(java.lang.String UM_name)
                             throws JGDIException

      Get the `Manager` object;
      Specified by:
        `getManager` in interface `JGDIJMXMBean`
      Parameters:
        `UM_name` - the UM_name of the `Manager` object
      Returns:
        the `Manager` object
      Throws:
        `JGDIException` - on any error

    - #### getManagerWithAnswer

          public Manager getManagerWithAnswer(java.lang.String UM_name,
                                              java.util.List<JGDIAnswer> answers)
                                       throws JGDIException

      Get a Manager by its primary key
      Specified by:
        `getManagerWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `UM_name` - the UM_name of the `Manager` object
        `answers` - the `answer list` object
      Returns:
        the Manager
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getEventClientList

          public java.util.List getEventClientList()
                                            throws JGDIException

      Get all `EventClient` objects.
      Specified by:
        `getEventClientList` in interface `JGDIJMXMBean`
      Returns:
        a @{link java.util.List} of `EventClient` objects
      Throws:
        `JGDIException` - on any error

    - #### getEventClientListWithAnswer

          public java.util.List getEventClientListWithAnswer(java.util.List<JGDIAnswer> answers)
                                                      throws JGDIException

      Get the list of all defined `EventClient` objects.
      Specified by:
        `getEventClientListWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `answers` - the `answer list` object
      Returns:
        list of `EventClient` objects
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### updateUser

          public void updateUser(User obj)
                          throws JGDIException

      Update the `User` object.
      Specified by:
        `updateUser` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the `User` object with the new values
      Throws:
        `JGDIException` - on any error

    - #### updateUserWithAnswer

          public void updateUserWithAnswer(User obj,
                                           java.util.List<JGDIAnswer> answers)
                                    throws JGDIException

      Update a `User` object.
      Specified by:
        `updateUserWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the `User` object with the new values
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteUser

          public void deleteUser(User obj)
                          throws JGDIException

      Delete a `User` object.
      Specified by:
        `deleteUser` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - `User` object with the primary key information
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteUserWithAnswer

          public void deleteUserWithAnswer(User obj,
                                           java.util.List<JGDIAnswer> answers)
                                    throws JGDIException

      Delete a `User` object.
      Specified by:
        `deleteUserWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - `User` object with the primary key information
        `answers` - `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteUser

          public void deleteUser(java.lang.String UU_name)
                          throws JGDIException

      Delete the `User` object by primary key;
      Specified by:
        `deleteUser` in interface `JGDIJMXMBean`
      Parameters:
        `UU_name` - the UU_name of the `User` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteUserWithAnswer

          public void deleteUserWithAnswer(java.lang.String UU_name,
                                           java.util.List<JGDIAnswer> answers)
                                    throws JGDIException

      Delete a `User` object by its primary key
      Specified by:
        `deleteUserWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `UU_name` - the UU_name of the `User` object
        `answers` - `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteUsersWithAnswer

          public void deleteUsersWithAnswer(java.lang.String[] UU_names,
                                            java.util.List<JGDIAnswer> answers)
                                     throws JGDIException

      Delete several `User` objects by their primary key
      Specified by:
        `deleteUsersWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `UU_names` - array of UU_name of the `User` objects
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addUser

          public void addUser(User obj)
                       throws JGDIException

      Add a new `User` object.
      Specified by:
        `addUser` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the new `User` object
      Throws:
        `JGDIException` - on any error

    - #### addUserWithAnswer

          public void addUserWithAnswer(User obj,
                                        java.util.List<JGDIAnswer> answers)
                                 throws JGDIException

      Add a new `User` object.
      Specified by:
        `addUserWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the new `User` object
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getUserList

          public java.util.List getUserList()
                                     throws JGDIException

      Get all `User` objects.
      Specified by:
        `getUserList` in interface `JGDIJMXMBean`
      Returns:
        a @{link java.util.List} of `User` objects
      Throws:
        `JGDIException` - on any error

    - #### getUserListWithAnswer

          public java.util.List getUserListWithAnswer(java.util.List<JGDIAnswer> answers)
                                               throws JGDIException

      Get the list of all defined `User` objects.
      Specified by:
        `getUserListWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `answers` - the `answer list` object
      Returns:
        list of `User` objects
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getUser

          public User getUser(java.lang.String UU_name)
                       throws JGDIException

      Get the `User` object;
      Specified by:
        `getUser` in interface `JGDIJMXMBean`
      Parameters:
        `UU_name` - the UU_name of the `User` object
      Returns:
        the `User` object
      Throws:
        `JGDIException` - on any error

    - #### getUserWithAnswer

          public User getUserWithAnswer(java.lang.String UU_name,
                                        java.util.List<JGDIAnswer> answers)
                                 throws JGDIException

      Get a User by its primary key
      Specified by:
        `getUserWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `UU_name` - the UU_name of the `User` object
        `answers` - the `answer list` object
      Returns:
        the User
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### updateExecHost

          public void updateExecHost(ExecHost obj)
                              throws JGDIException

      Update the `ExecHost` object.
      Specified by:
        `updateExecHost` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the `ExecHost` object with the new values
      Throws:
        `JGDIException` - on any error

    - #### updateExecHostWithAnswer

          public void updateExecHostWithAnswer(ExecHost obj,
                                               java.util.List<JGDIAnswer> answers)
                                        throws JGDIException

      Update a `ExecHost` object.
      Specified by:
        `updateExecHostWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the `ExecHost` object with the new values
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteExecHost

          public void deleteExecHost(ExecHost obj)
                              throws JGDIException

      Delete a `ExecHost` object.
      Specified by:
        `deleteExecHost` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - `ExecHost` object with the primary key information
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteExecHostWithAnswer

          public void deleteExecHostWithAnswer(ExecHost obj,
                                               java.util.List<JGDIAnswer> answers)
                                        throws JGDIException

      Delete a `ExecHost` object.
      Specified by:
        `deleteExecHostWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - `ExecHost` object with the primary key information
        `answers` - `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteExecHost

          public void deleteExecHost(java.lang.String EH_name)
                              throws JGDIException

      Delete the `ExecHost` object by primary key;
      Specified by:
        `deleteExecHost` in interface `JGDIJMXMBean`
      Parameters:
        `EH_name` - the EH_name of the `ExecHost` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteExecHostWithAnswer

          public void deleteExecHostWithAnswer(java.lang.String EH_name,
                                               java.util.List<JGDIAnswer> answers)
                                        throws JGDIException

      Delete a `ExecHost` object by its primary key
      Specified by:
        `deleteExecHostWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `EH_name` - the EH_name of the `ExecHost` object
        `answers` - `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteExecHostsWithAnswer

          public void deleteExecHostsWithAnswer(java.lang.String[] EH_names,
                                                java.util.List<JGDIAnswer> answers)
                                         throws JGDIException

      Delete several `ExecHost` objects by their primary key
      Specified by:
        `deleteExecHostsWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `EH_names` - array of EH_name of the `ExecHost` objects
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addExecHost

          public void addExecHost(ExecHost obj)
                           throws JGDIException

      Add a new `ExecHost` object.
      Specified by:
        `addExecHost` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the new `ExecHost` object
      Throws:
        `JGDIException` - on any error

    - #### addExecHostWithAnswer

          public void addExecHostWithAnswer(ExecHost obj,
                                            java.util.List<JGDIAnswer> answers)
                                     throws JGDIException

      Add a new `ExecHost` object.
      Specified by:
        `addExecHostWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the new `ExecHost` object
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getExecHostList

          public java.util.List getExecHostList()
                                         throws JGDIException

      Get all `ExecHost` objects.
      Specified by:
        `getExecHostList` in interface `JGDIJMXMBean`
      Returns:
        a @{link java.util.List} of `ExecHost` objects
      Throws:
        `JGDIException` - on any error

    - #### getExecHostListWithAnswer

          public java.util.List getExecHostListWithAnswer(java.util.List<JGDIAnswer> answers)
                                                   throws JGDIException

      Get the list of all defined `ExecHost` objects.
      Specified by:
        `getExecHostListWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `answers` - the `answer list` object
      Returns:
        list of `ExecHost` objects
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getExecHost

          public ExecHost getExecHost(java.lang.String EH_name)
                               throws JGDIException

      Get the `ExecHost` object;
      Specified by:
        `getExecHost` in interface `JGDIJMXMBean`
      Parameters:
        `EH_name` - the EH_name of the `ExecHost` object
      Returns:
        the `ExecHost` object
      Throws:
        `JGDIException` - on any error

    - #### getExecHostWithAnswer

          public ExecHost getExecHostWithAnswer(java.lang.String EH_name,
                                                java.util.List<JGDIAnswer> answers)
                                         throws JGDIException

      Get a ExecHost by its primary key
      Specified by:
        `getExecHostWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `EH_name` - the EH_name of the `ExecHost` object
        `answers` - the `answer list` object
      Returns:
        the ExecHost
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### updateResourceQuotaSet

          public void updateResourceQuotaSet(ResourceQuotaSet obj)
                                      throws JGDIException

      Update the `ResourceQuotaSet` object.
      Specified by:
        `updateResourceQuotaSet` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the `ResourceQuotaSet` object with the new values
      Throws:
        `JGDIException` - on any error

    - #### updateResourceQuotaSetWithAnswer

          public void updateResourceQuotaSetWithAnswer(ResourceQuotaSet obj,
                                                       java.util.List<JGDIAnswer> answers)
                                                throws JGDIException

      Update a `ResourceQuotaSet` object.
      Specified by:
        `updateResourceQuotaSetWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the `ResourceQuotaSet` object with the new values
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteResourceQuotaSet

          public void deleteResourceQuotaSet(ResourceQuotaSet obj)
                                      throws JGDIException

      Delete a `ResourceQuotaSet` object.
      Specified by:
        `deleteResourceQuotaSet` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - `ResourceQuotaSet` object with the primary key information
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteResourceQuotaSetWithAnswer

          public void deleteResourceQuotaSetWithAnswer(ResourceQuotaSet obj,
                                                       java.util.List<JGDIAnswer> answers)
                                                throws JGDIException

      Delete a `ResourceQuotaSet` object.
      Specified by:
        `deleteResourceQuotaSetWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - `ResourceQuotaSet` object with the primary key information
        `answers` - `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteResourceQuotaSet

          public void deleteResourceQuotaSet(java.lang.String RQS_name)
                                      throws JGDIException

      Delete the `ResourceQuotaSet` object by primary key;
      Specified by:
        `deleteResourceQuotaSet` in interface `JGDIJMXMBean`
      Parameters:
        `RQS_name` - the RQS_name of the `ResourceQuotaSet` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteResourceQuotaSetWithAnswer

          public void deleteResourceQuotaSetWithAnswer(java.lang.String RQS_name,
                                                       java.util.List<JGDIAnswer> answers)
                                                throws JGDIException

      Delete a `ResourceQuotaSet` object by its primary key
      Specified by:
        `deleteResourceQuotaSetWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `RQS_name` - the RQS_name of the `ResourceQuotaSet` object
        `answers` - `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteResourceQuotaSetsWithAnswer

          public void deleteResourceQuotaSetsWithAnswer(java.lang.String[] RQS_names,
                                                        java.util.List<JGDIAnswer> answers)
                                                 throws JGDIException

      Delete several `ResourceQuotaSet` objects by their primary key
      Specified by:
        `deleteResourceQuotaSetsWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `RQS_names` - array of RQS_name of the `ResourceQuotaSet` objects
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addResourceQuotaSet

          public void addResourceQuotaSet(ResourceQuotaSet obj)
                                   throws JGDIException

      Add a new `ResourceQuotaSet` object.
      Specified by:
        `addResourceQuotaSet` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the new `ResourceQuotaSet` object
      Throws:
        `JGDIException` - on any error

    - #### addResourceQuotaSetWithAnswer

          public void addResourceQuotaSetWithAnswer(ResourceQuotaSet obj,
                                                    java.util.List<JGDIAnswer> answers)
                                             throws JGDIException

      Add a new `ResourceQuotaSet` object.
      Specified by:
        `addResourceQuotaSetWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the new `ResourceQuotaSet` object
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getResourceQuotaSetList

          public java.util.List getResourceQuotaSetList()
                                                 throws JGDIException

      Get all `ResourceQuotaSet` objects.
      Specified by:
        `getResourceQuotaSetList` in interface `JGDIJMXMBean`
      Returns:
        a @{link java.util.List} of `ResourceQuotaSet` objects
      Throws:
        `JGDIException` - on any error

    - #### getResourceQuotaSetListWithAnswer

          public java.util.List getResourceQuotaSetListWithAnswer(java.util.List<JGDIAnswer> answers)
                                                           throws JGDIException

      Get the list of all defined `ResourceQuotaSet` objects.
      Specified by:
        `getResourceQuotaSetListWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `answers` - the `answer list` object
      Returns:
        list of `ResourceQuotaSet` objects
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getResourceQuotaSet

          public ResourceQuotaSet getResourceQuotaSet(java.lang.String RQS_name)
                                               throws JGDIException

      Get the `ResourceQuotaSet` object;
      Specified by:
        `getResourceQuotaSet` in interface `JGDIJMXMBean`
      Parameters:
        `RQS_name` - the RQS_name of the `ResourceQuotaSet` object
      Returns:
        the `ResourceQuotaSet` object
      Throws:
        `JGDIException` - on any error

    - #### getResourceQuotaSetWithAnswer

          public ResourceQuotaSet getResourceQuotaSetWithAnswer(java.lang.String RQS_name,
                                                                java.util.List<JGDIAnswer> answers)
                                                         throws JGDIException

      Get a ResourceQuotaSet by its primary key
      Specified by:
        `getResourceQuotaSetWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `RQS_name` - the RQS_name of the `ResourceQuotaSet` object
        `answers` - the `answer list` object
      Returns:
        the ResourceQuotaSet
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteOperator

          public void deleteOperator(Operator obj)
                              throws JGDIException

      Delete a `Operator` object.
      Specified by:
        `deleteOperator` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - `Operator` object with the primary key information
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteOperatorWithAnswer

          public void deleteOperatorWithAnswer(Operator obj,
                                               java.util.List<JGDIAnswer> answers)
                                        throws JGDIException

      Delete a `Operator` object.
      Specified by:
        `deleteOperatorWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - `Operator` object with the primary key information
        `answers` - `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteOperator

          public void deleteOperator(java.lang.String UO_name)
                              throws JGDIException

      Delete the `Operator` object by primary key;
      Specified by:
        `deleteOperator` in interface `JGDIJMXMBean`
      Parameters:
        `UO_name` - the UO_name of the `Operator` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteOperatorWithAnswer

          public void deleteOperatorWithAnswer(java.lang.String UO_name,
                                               java.util.List<JGDIAnswer> answers)
                                        throws JGDIException

      Delete a `Operator` object by its primary key
      Specified by:
        `deleteOperatorWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `UO_name` - the UO_name of the `Operator` object
        `answers` - `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteOperatorsWithAnswer

          public void deleteOperatorsWithAnswer(java.lang.String[] UO_names,
                                                java.util.List<JGDIAnswer> answers)
                                         throws JGDIException

      Delete several `Operator` objects by their primary key
      Specified by:
        `deleteOperatorsWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `UO_names` - array of UO_name of the `Operator` objects
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addOperator

          public void addOperator(Operator obj)
                           throws JGDIException

      Add a new `Operator` object.
      Specified by:
        `addOperator` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the new `Operator` object
      Throws:
        `JGDIException` - on any error

    - #### addOperatorWithAnswer

          public void addOperatorWithAnswer(Operator obj,
                                            java.util.List<JGDIAnswer> answers)
                                     throws JGDIException

      Add a new `Operator` object.
      Specified by:
        `addOperatorWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the new `Operator` object
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addOperator

          public void addOperator(java.lang.String name)
                           throws JGDIException

      Add a new `Operator` object.
      Specified by:
        `addOperator` in interface `JGDIJMXMBean`
      Parameters:
        `name` - the new `String` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addOperatorWithAnswer

          public void addOperatorWithAnswer(java.lang.String name,
                                            java.util.List<JGDIAnswer> answers)
                                     throws JGDIException

      Add a new `Operator` object.
      Specified by:
        `addOperatorWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `name` - the new `String` object
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getOperatorList

          public java.util.List getOperatorList()
                                         throws JGDIException

      Get all `Operator` objects.
      Specified by:
        `getOperatorList` in interface `JGDIJMXMBean`
      Returns:
        a @{link java.util.List} of `Operator` objects
      Throws:
        `JGDIException` - on any error

    - #### getOperatorListWithAnswer

          public java.util.List getOperatorListWithAnswer(java.util.List<JGDIAnswer> answers)
                                                   throws JGDIException

      Get the list of all defined `Operator` objects.
      Specified by:
        `getOperatorListWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `answers` - the `answer list` object
      Returns:
        list of `Operator` objects
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getOperator

          public Operator getOperator(java.lang.String UO_name)
                               throws JGDIException

      Get the `Operator` object;
      Specified by:
        `getOperator` in interface `JGDIJMXMBean`
      Parameters:
        `UO_name` - the UO_name of the `Operator` object
      Returns:
        the `Operator` object
      Throws:
        `JGDIException` - on any error

    - #### getOperatorWithAnswer

          public Operator getOperatorWithAnswer(java.lang.String UO_name,
                                                java.util.List<JGDIAnswer> answers)
                                         throws JGDIException

      Get a Operator by its primary key
      Specified by:
        `getOperatorWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `UO_name` - the UO_name of the `Operator` object
        `answers` - the `answer list` object
      Returns:
        the Operator
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### updateCalendar

          public void updateCalendar(Calendar obj)
                              throws JGDIException

      Update the `Calendar` object.
      Specified by:
        `updateCalendar` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the `Calendar` object with the new values
      Throws:
        `JGDIException` - on any error

    - #### updateCalendarWithAnswer

          public void updateCalendarWithAnswer(Calendar obj,
                                               java.util.List<JGDIAnswer> answers)
                                        throws JGDIException

      Update a `Calendar` object.
      Specified by:
        `updateCalendarWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the `Calendar` object with the new values
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteCalendar

          public void deleteCalendar(Calendar obj)
                              throws JGDIException

      Delete a `Calendar` object.
      Specified by:
        `deleteCalendar` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - `Calendar` object with the primary key information
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteCalendarWithAnswer

          public void deleteCalendarWithAnswer(Calendar obj,
                                               java.util.List<JGDIAnswer> answers)
                                        throws JGDIException

      Delete a `Calendar` object.
      Specified by:
        `deleteCalendarWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - `Calendar` object with the primary key information
        `answers` - `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteCalendar

          public void deleteCalendar(java.lang.String CAL_name)
                              throws JGDIException

      Delete the `Calendar` object by primary key;
      Specified by:
        `deleteCalendar` in interface `JGDIJMXMBean`
      Parameters:
        `CAL_name` - the CAL_name of the `Calendar` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteCalendarWithAnswer

          public void deleteCalendarWithAnswer(java.lang.String CAL_name,
                                               java.util.List<JGDIAnswer> answers)
                                        throws JGDIException

      Delete a `Calendar` object by its primary key
      Specified by:
        `deleteCalendarWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `CAL_name` - the CAL_name of the `Calendar` object
        `answers` - `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### deleteCalendarsWithAnswer

          public void deleteCalendarsWithAnswer(java.lang.String[] CAL_names,
                                                java.util.List<JGDIAnswer> answers)
                                         throws JGDIException

      Delete several `Calendar` objects by their primary key
      Specified by:
        `deleteCalendarsWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `CAL_names` - array of CAL_name of the `Calendar` objects
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### addCalendar

          public void addCalendar(Calendar obj)
                           throws JGDIException

      Add a new `Calendar` object.
      Specified by:
        `addCalendar` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the new `Calendar` object
      Throws:
        `JGDIException` - on any error

    - #### addCalendarWithAnswer

          public void addCalendarWithAnswer(Calendar obj,
                                            java.util.List<JGDIAnswer> answers)
                                     throws JGDIException

      Add a new `Calendar` object.
      Specified by:
        `addCalendarWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `obj` - the new `Calendar` object
        `answers` - the `answer list` object
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getCalendarList

          public java.util.List getCalendarList()
                                         throws JGDIException

      Get all `Calendar` objects.
      Specified by:
        `getCalendarList` in interface `JGDIJMXMBean`
      Returns:
        a @{link java.util.List} of `Calendar` objects
      Throws:
        `JGDIException` - on any error

    - #### getCalendarListWithAnswer

          public java.util.List getCalendarListWithAnswer(java.util.List<JGDIAnswer> answers)
                                                   throws JGDIException

      Get the list of all defined `Calendar` objects.
      Specified by:
        `getCalendarListWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `answers` - the `answer list` object
      Returns:
        list of `Calendar` objects
      Throws:
        `JGDIException` - on any error on the GDI layer

    - #### getCalendar

          public Calendar getCalendar(java.lang.String CAL_name)
                               throws JGDIException

      Get the `Calendar` object;
      Specified by:
        `getCalendar` in interface `JGDIJMXMBean`
      Parameters:
        `CAL_name` - the CAL_name of the `Calendar` object
      Returns:
        the `Calendar` object
      Throws:
        `JGDIException` - on any error

    - #### getCalendarWithAnswer

          public Calendar getCalendarWithAnswer(java.lang.String CAL_name,
                                                java.util.List<JGDIAnswer> answers)
                                         throws JGDIException

      Get a Calendar by its primary key
      Specified by:
        `getCalendarWithAnswer` in interface `JGDIJMXMBean`
      Parameters:
        `CAL_name` - the CAL_name of the `Calendar` object
        `answers` - the `answer list` object
      Returns:
        the Calendar
      Throws:
        `JGDIException` - on any error on the GDI layer

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.